<?php
/**
 * Artikel-Bearbeiten Formular fuer den Administrationsbereich (ACP)
 *
 * @package     Expblog
 * @category    ACP
 * @author      Volker S. Latainski
 * @copyright   Copyright (c) 2009, Volker S. Latainski
 * @version     0.6.1
 * @license     Freeware (siehe LIZENZ.txt im Hauptverzeichnis)
 * @link        http://www.expblog.net
 * @link        http://www.expblog.de
 * @filesource
 */
  include "header.php";
  
  // (Mindest)Zugriffslevel der Seite
  // 0 = Alle, 1 = Moderatoren, 2 = Administratoren, 3 = Blogbesitzer
  $accesslevel = 0;
  if($_SESSION['userlevel'] >= $accesslevel)
  {
	  $artikel = new ARTIKEL($output);
	  $rss = new RSS($output);
	
	  if(isset($_POST['artikel_id']))
	  {
	  	$artikel_id = (int) $_POST['artikel_id'];
	  	$kategorie = $output->sql->checkSql($_POST['kategorie']);
	  	$titel = $output->sql->checkSql($_POST['titel']);
	  	$teaser = $output->sql->checkSql($_POST['artikel_teaser']);
	  	$nachricht = $output->sql->checkSql($_POST['artikel_body']);
	  	$published = (int) $_POST['published'];
	  	
	  	$tag = (int) $_POST['tag'];
	    $monat = (int) $_POST['monat'];
	    $jahr = (int) $_POST['jahr'];
	    $minute = (int) $_POST['minute'];
	    $stunde = (int) $_POST['stunde'];
	    $datetime = $jahr.'-'.$monat.'-'.$tag.' '.$stunde.':'.$minute.':00';
      $new_timestamp = strtotime($datetime);	  	
	  	
	  	if(isset($_POST['startseite']))
	  	{
	  		$startseite = 1;
	  	}
	  	else
	  	{
	  		$startseite = 0;
	  	}
	    $update = $artikel->update($artikel_id, $kategorie, $titel, $teaser, $nachricht, $new_timestamp, $startseite, $published);	
	    $rss->makeFeed();
	    $meldung = 1;
	    if(!$update)
	    {
	    	$meldungtxt = 'Fehler: Der Artikel konnte nicht geupdated werden!';
	    }
	    else
	    {
	      $meldungtxt = 'Der Artikel wurde geupdated!';
	    }
	  }
	
	  if(isset($_GET['id']) || isset($_POST['artikel_id']))
	  {
	  	if(isset($_GET['id']))
	    {
	    	$id = (int) $_GET['id'];
	    }
	    elseif(isset($_POST['artikel_id']))
	    {
	    	$id = (int) $_POST['artikel_id'];
	    }
			$res = $output->sql->query("
		  		SELECT 
		  			news.*, 	  			
		  			user.name,
		  			user.id,
		  			kategorie.name AS kategorie_name
		  		FROM 
		  			".DB_TABLE_news." as news	  		
		  		LEFT JOIN
		  		  ".DB_TABLE_user."  as user
		  		ON
		  		  news.userid = user.id
		  		LEFT JOIN
		  		  ".DB_TABLE_kategorien."  AS kategorie
		  		ON
		  		  news.kategorie = kategorie.id
		  		WHERE
		  			news.id = {$id}
		  		AND
					(
						user.id = news.userid
					OR
						{$_SESSION['userlevel']} >= 1
					)			  		
		  ");	  
		  $_data = $res[0];
		  $_kategorie_id = $_data['kategorie'];
		  $_kategorie_name = $_data['kategorie_name'];
		  $_timestamp = $_data['timestamp'];
//			$_jahr = date("Y", $_timestamp);
//			$_monat = date("m", $_timestamp);
//			$_tag = date("d", $_timestamp);
//			$_stunde = date("H", $_timestamp);
//			$_minute = date("i", $_timestamp);
//			$_sekunde = date("s", $_timestamp);
	  }
	  
	  if($meldung)
    {
      echo '<div class="content_box">';
      echo '<div class="meldungen">Meldungen</div>';
      echo '<div class="meldungtxt">'.$meldungtxt.'</div>';
      echo '</div>';
    }
?>

<div class="preloader">
  <img src="<?=WEBPATH?>system/images/smilies/smile.gif" alt="" />
  <img src="<?=WEBPATH?>system/images/smilies/wink.gif" alt="" />
  <img src="<?=WEBPATH?>system/images/smilies/cheesy.gif" alt="" />
  <img src="<?=WEBPATH?>system/images/smilies/grins.gif" alt="" />
  <img src="<?=WEBPATH?>system/images/smilies/cool.gif" alt="" />
  <img src="<?=WEBPATH?>system/images/smilies/sleep.gif" alt="" />
  <img src="<?=WEBPATH?>system/images/smilies/angry.gif" alt="" />
  <img src="<?=WEBPATH?>system/images/smilies/cry.gif" alt="" />
  <img src="<?=WEBPATH?>system/images/smilies/finger.gif" alt="" />
  <img src="<?=WEBPATH?>system/images/smilies/gaehn.gif" alt="" /> 
  <img src="<?=WEBPATH?>system/images/smilies/razz.gif" alt="" />
  <img src="<?=WEBPATH?>system/images/smilies/rolleyes.gif" alt="" />
  <img src="<?=WEBPATH?>system/images/smilies/sad.gif" alt="" />
  <img src="<?=WEBPATH?>system/images/smilies/shocked.gif" alt="" />
  <img src="<?=WEBPATH?>system/images/smilies/uhoh.gif" alt="" />
  <img src="<?=WEBPATH?>system/images/smilies/wand.gif" alt="" />
  <img src="<?=WEBPATH?>system/images/smilies/gun.gif" alt="" />
  <img src="<?=WEBPATH?>system/images/smilies/motz.gif" alt="" />
  <img src="<?=WEBPATH?>system/images/smilies/confuse.gif" alt="" />
  <img src="<?=WEBPATH?>system/images/smilies/type.gif" alt="" /> 
</div>

<div class="content_box">
  <div class="content_hline">Artikel bearbeiten</div>
    <form action="artikel_bearbeiten.php" method="post" name="postform">	    
	    <input type="hidden" name="artikel_id" value="<?=$id?>">
	    <input type="hidden" name="published" value="<?=$_data['published']?>">
										
			<div id="verfassen_kategorie">
				<select name="kategorie">
					<?php
					echo "<option value=\"" . $_kategorie_id . "\" selected>" . $_kategorie_name . "</option>";
					// Kategorien auslesen
					$res = $output->sql->query("SELECT * FROM ".DB_TABLE_kategorien);
					foreach($res as $row => $value) 
					{
						if($value[0] != $_kategorie_id)
						{
					    echo "<option value=\"" . $value[0] . "\">" . $value[1] . "</option>";
					  }
					}
					?>
				</select>				
			</div>	
			
			<div id="verfassen_titel">
				<input type="text" name="titel" value="<?=$_data['titel']?>" />		
			</div>
			
			<div class="clear_left"></div>										

			<div id="verfassen_textareas">
				<div id="verfassen_teaser">
					<div class="verfassen_insert_video"><b>Teaser</b>: <a href="javascript:insertVideo('teaser')" title="Video von YouTube, Google, MyVideo oder Clipfish einbinden">Video einfgen</a> &bull; <a href="gallerie0.php?KeepThis=true&TB_iframe=true&height=394&width=605" title="Bild einf&uuml;gen" class="thickbox">Bild einf&uuml;gen</a></div>
					<div class="verfassen_bbcode_smilies">
			      <a href="javascript:insertSmilie('teaser', ' :-) ')"><img src="<?=WEBPATH?>system/images/smilies/smile.gif" alt=":-)" /></a>
			      <a href="javascript:insertSmilie('teaser', ' ;) ')"><img src="<?=WEBPATH?>system/images/smilies/wink.gif" alt=";)" /></a>
			      <a href="javascript:insertSmilie('teaser', ' :cheesy: ')"><img src="<?=WEBPATH?>system/images/smilies/cheesy.gif" alt=":cheesy:" /></a>
			      <a href="javascript:insertSmilie('teaser', ' :D ')"><img src="<?=WEBPATH?>system/images/smilies/grins.gif" alt=":D" /></a>
			      <a href="javascript:insertSmilie('teaser', ' :cool: ')"><img src="<?=WEBPATH?>system/images/smilies/cool.gif" alt=":cool:" /></a>
			      <a href="javascript:insertSmilie('teaser', ' :zzz: ')"><img src="<?=WEBPATH?>system/images/smilies/sleep.gif" alt=":zzz:" /></a>
			      <a href="javascript:insertSmilie('teaser', ' :angry: ')"><img src="<?=WEBPATH?>system/images/smilies/angry.gif" alt=":angry:" /></a>
			      <a href="javascript:insertSmilie('teaser', ' :cry: ')"><img src="<?=WEBPATH?>system/images/smilies/cry.png" alt=":cry:" /></a>
			      <a href="javascript:insertSmilie('teaser', ' :finger: ')"><img src="<?=WEBPATH?>system/images/smilies/finger.gif" alt=":finger:" /></a>
			      <a href="javascript:insertSmilie('teaser', ' :gaehn: ')"><img src="<?=WEBPATH?>system/images/smilies/gaehn.gif" alt=":gaehn:" /></a>
			      <a href="javascript:insertSmilie('teaser', ' :razz: ')"><img src="<?=WEBPATH?>system/images/smilies/razz.png" alt=":razz:" /></a>
			      <a href="javascript:insertSmilie('teaser', ' :rolleyes: ')"><img src="<?=WEBPATH?>system/images/smilies/rolleyes.gif" alt=":rolleyes:" /></a>			
			      <a href="javascript:insertSmilie('teaser', ' :sad: ')"><img src="<?=WEBPATH?>system/images/smilies/sad.gif" alt=":sad:" /></a>
			      <a href="javascript:insertSmilie('teaser', ' :shocked: ')"><img src="<?=WEBPATH?>system/images/smilies/shocked.gif" alt=":shocked:" /></a>
			      <a href="javascript:insertSmilie('teaser', ' :uhoh: ')"><img src="<?=WEBPATH?>system/images/smilies/uhoh.gif" alt=":uhoh:" /></a>
			      <a href="javascript:insertSmilie('teaser', ' :vogel: ')"><img src="<?=WEBPATH?>system/images/smilies/vogel.gif" alt=":vogel:" /></a>
			    </div>
			    <div class="clear_left"></div>
					<textarea name="artikel_teaser" id="artikel_teaser"><?=$_data['teaser']?></textarea>
				</div>				
				<div id="verfassen_body">					
					<div class="verfassen_insert_video"><b>Body</b>: <a href="javascript:insertVideo('body')" title="Video von YouTube, Google, MyVideo oder Clipfish einbinden">Video einfgen</a> &bull; <a href="gallerie1.php?KeepThis=true&TB_iframe=true&height=394&width=605" title="Bild einf&uuml;gen" class="thickbox">Bild einf&uuml;gen</a></div>
					<div class="verfassen_bbcode_smilies">
			      <a href="javascript:insertSmilie('body', ' :-) ')"><img src="<?=WEBPATH?>system/images/smilies/smile.gif" alt=":-)" /></a>
			      <a href="javascript:insertSmilie('body', ' ;) ')"><img src="<?=WEBPATH?>system/images/smilies/wink.gif" alt=";)" /></a>
			      <a href="javascript:insertSmilie('body', ' :cheesy: ')"><img src="<?=WEBPATH?>system/images/smilies/cheesy.gif" alt=":cheesy:" /></a>
			      <a href="javascript:insertSmilie('body', ' :D ')"><img src="<?=WEBPATH?>system/images/smilies/grins.gif" alt=":D" /></a>
			      <a href="javascript:insertSmilie('body', ' :cool: ')"><img src="<?=WEBPATH?>system/images/smilies/cool.gif" alt=":cool:" /></a>
			      <a href="javascript:insertSmilie('body', ' :zzz: ')"><img src="<?=WEBPATH?>system/images/smilies/sleep.gif" alt=":zzz:" /></a>
			      <a href="javascript:insertSmilie('body', ' :angry: ')"><img src="<?=WEBPATH?>system/images/smilies/angry.gif" alt=":angry:" /></a>
			      <a href="javascript:insertSmilie('body', ' :cry: ')"><img src="<?=WEBPATH?>system/images/smilies/cry.png" alt=":cry:" /></a>
			      <a href="javascript:insertSmilie('body', ' :finger: ')"><img src="<?=WEBPATH?>system/images/smilies/finger.gif" alt=":finger:" /></a>
			      <a href="javascript:insertSmilie('body', ' :gaehn: ')"><img src="<?=WEBPATH?>system/images/smilies/gaehn.gif" alt=":gaehn:" /></a>
			      <a href="javascript:insertSmilie('body', ' :razz: ')"><img src="<?=WEBPATH?>system/images/smilies/razz.png" alt=":razz:" /></a>
			      <a href="javascript:insertSmilie('body', ' :rolleyes: ')"><img src="<?=WEBPATH?>system/images/smilies/rolleyes.gif" alt=":rolleyes:" /></a>			
			      <a href="javascript:insertSmilie('body', ' :sad: ')"><img src="<?=WEBPATH?>system/images/smilies/sad.gif" alt=":sad:" /></a>
			      <a href="javascript:insertSmilie('body', ' :shocked: ')"><img src="<?=WEBPATH?>system/images/smilies/shocked.gif" alt=":shocked:" /></a>
			      <a href="javascript:insertSmilie('body', ' :uhoh: ')"><img src="<?=WEBPATH?>system/images/smilies/uhoh.gif" alt=":uhoh:" /></a>
			      <a href="javascript:insertSmilie('body', ' :vogel: ')"><img src="<?=WEBPATH?>system/images/smilies/vogel.gif" alt=":vogel:" /></a>			      
			    </div>
			    <div class="clear_left"></div>
					<textarea name="artikel_body" id="artikel_body"><?=$_data['nachricht']?></textarea>
				</div>
			</div>			
			<div id="verfassen_submit">
				<input type="submit" value="Absenden" class="submit" />
			</div>
			
			<div class="verfassen_sub_box">	      
        <div id="verfassen_zeitsteuerung">
        	<?php
        	  if($_data['startsite'])
        	  {
        	  	echo '<input type="checkbox" name="startseite" value="1" checked><p>auf Startseite anzeigen&nbsp;&nbsp;&nbsp;</p>';
        	  }
        	  else
        	  {
        	  	echo '<input type="checkbox" name="startseite" value="1"><p>auf Startseite anzeigen&nbsp;&nbsp;&nbsp;</p>';
        	  }
        	?>
					<p>Startdatum/-zeit&nbsp;</p>
					<select id="verfassen_zeitsteuerung_tag" name="tag">
	      		<?php
	      		  for($i=1;$i<=31;$i++)
	      		  {
	      		  	if($i < 10)
	      		  	{
	      		  	  $i = '0'.$i;
	      		  	}
	      		    if(date('d', $_timestamp) == $i)
	      		    {
	      		    	echo '<option value="'.$i.'" selected>'.$i.'</option>';
	      		    }
	      		    else
	      		    {
	      		      echo '<option value="'.$i.'">'.$i.'</option>';	
	      		    }
	      		  }
	      		?>
	      	</select>
	      	<p>.&nbsp;</p>
					<select id="verfassen_zeitsteuerung_monat" name="monat">
	      		<?php
	      		  $monate = array(
	      		  			'01' => 'Januar',
	      		  			'02' => 'Februar',
	      		  			'03' => 'Mrz',
	      		  			'04' => 'April',
	      		  			'05' => 'Mai',
	      		  			'06' => 'Juni',
	      		  			'07' => 'Juli',
	      		  			'08' => 'August',
	      		  			'09' => 'September',
	      		  			'10' => 'Oktober',
	      		  			'11' => 'November',
	      		  			'12' => 'Dezember',
	      		  );
	      		  for($i=1;$i<=12;$i++)
	      		  {
	      		  	if($i < 10)
	      		  	{
	      		  	  $i = '0'.$i;
	      		  	}
	      		  	$monat = $monate[$i];
	      		    if(date('m', $_timestamp) == $i)
	      		    {
	      		    	echo '<option value="'.$i.'" selected>'.$monat.'</option>';
	      		    }
	      		    else
	      		    {
	      		      echo '<option value="'.$i.'">'.$monat.'</option>';	
	      		    }
	      		  }
	      		?>
	      	</select>
	      	<p>.&nbsp;</p>
					<select id="verfassen_zeitsteuerung_jahr" name="jahr">
	      		<?php   
	      		  echo '<option value="'.(date('Y', $_timestamp)-1).'">'.(date('Y', $_timestamp)-1).'</option>';     		  
	      		  echo '<option value="'.date('Y', $_timestamp).'" selected>'.date('Y', $_timestamp).'</option>';
	      		  echo '<option value="'.(date('Y', $_timestamp)+1).'">'.(date('Y', $_timestamp)+1).'</option>';       		 
	      		?>
	      	</select>    
	      	<p>&nbsp;um&nbsp;</p>
					<select class="verfassen_zeitsteuerung_zeit" name="stunde">
	      		<?php
	      		  for($i=0;$i<=23;$i++)
	      		  {
	      		  	if($i < 10)
	      		  	{
	      		  	  $i = '0'.$i;
	      		  	}
	      		    if(date('H', $_timestamp) == $i)
	      		    {
	      		    	echo '<option value="'.$i.'" selected>'.$i.'</option>';
	      		    }
	      		    else
	      		    {
	      		      echo '<option value="'.$i.'">'.$i.'</option>';	
	      		    }
	      		  }
	      		?>
	      	</select>       
					<p>&nbsp;:&nbsp;</p>
					<select class="verfassen_zeitsteuerung_zeit" name="minute">
	      		<?php
	      		  for($i=0;$i<=59;$i++)
	      		  {
	      		  	if($i < 10)
	      		  	{
	      		  	  $i = '0'.$i;
	      		  	}
	      		  	if(date('i', $_timestamp) == $i)
	      		    {
	      		    	echo '<option value="'.$i.'" selected>'.$i.'</option>';
	      		    }
	      		    else
	      		    {
	      		      echo '<option value="'.$i.'">'.$i.'</option>';	
	      		    }
	      		  }
	      		?>
	      	</select>
	      	<p>&nbsp;Uhr</p>
				</div>
			</div>
			
    </form>
  </div>
</div>  
<?php
  }
  else
  {
    include "denied.php";	
  }
  include "footer.php";
?>