<?php
/**
 * Blogkonfiguration (Basiseinstellungen) im Administrationsbereich (ACP)
 *
 * @package     Expblog
 * @category    ACP
 * @author      Volker S. Latainski
 * @copyright   Copyright (c) 2009, Volker S. Latainski
 * @version     0.6.3
 * @license     Freeware (siehe LIZENZ.txt im Hauptverzeichnis)
 * @link        http://www.expblog.net
 * @link        http://www.expblog.de
 * @filesource
 */
  include "header.php";    
  
  // (Mindest)Zugriffslevel der Seite
  // 0 = Alle, 1 = Moderatoren, 2 = Administratoren, 3 = Blogbesitzer
  $accesslevel = 2;
  if($_SESSION['userlevel'] >= $accesslevel)
  {  	
  	if(isset($_POST['blogverhalten']))
	  {
	    $settings = new SETTINGS($expconf);	
	    $status = $settings->setBlogverhalten($_POST['blogtitel'], $_POST['meta_description'], $_POST['meta_keywords'], $_POST['meta_robots'], $_POST['admin_dir'], $_POST['style_dir'], $_POST['style'], $_POST['language'],
      $_POST['kommentare'], $_POST['wartungsmodus'], $_POST['spamschutz'], $_POST['suche'], $_POST['modrewrite'], $_POST['hitcounter'], $_POST['bookmarkicons'],
      $_POST['mailbenachrichtigung'], $_POST['mailbenachrichtigung_email'], $_POST['videoabmessung_b'], $_POST['videoabmessung_h'], $_POST['index_maxnews'],
      $_POST['dbms']);	    
	    $meldung = 1;
	    if(!$status)
	    {
	    	$meldungtxt = 'Fehler: Die Einstellungen konnten nicht gespeichert werden! Evtl. liegt ein Rechteproblem mit der Datei "settings.php" im Hauptverzeichnis vor.';
	    }
	    else
	    {
	      $meldungtxt = 'Die neue Konfiguration wurde erfolgreich abgespeichert!';
	    }
	  }
  	if($meldung)
    {
      echo '<div class="content_box">';
      echo '<div class="meldungen">Meldungen</div>';
      echo '<div class="meldungtxt">'.$meldungtxt.'</div>';
      echo '</div>';
    }
?>

<form action="blogverhalten.php" method="post" name="blogverhalten">
<input type="hidden" name="blogverhalten" value="1">
<div class="content_box">  
  <div class="content_hline">Blogverhalten / Grundeinstellungen</div>
  
  <div class="blogverhalten_row_a">
    <div class="blogverhalten_left">
      <div class="blogverhalten_left_top">Blogtitel</div>
      <div class="blogverhalten_left_bottom">Titel im Kopfbereich des Blogs. Dieser Text dient zustzlich als Metaangabe und Link zur Startseite.</div>
    </div>
    <div class="blogverhalten_right">
    	<input type="text" name="blogtitel" maxlenght="30" class="blogverhalten_input_long" value="<?=stripslashes($expconf['blogtitel'])?>" />
    </div> 
    <div class="clear_left"></div>
  </div>
  
  <div class="blogverhalten_row_b">
    <div class="blogverhalten_left">
      <div class="blogverhalten_left_top">Meta Description</div>
      <div class="blogverhalten_left_bottom">Kurze Beschreibung zum Blog</div>
    </div>
    <div class="blogverhalten_right">
    	<input type="text" name="meta_description" maxlenght="30" class="blogverhalten_input_long" value="<?=stripslashes($expconf['meta_description'])?>" />
    </div> 
    <div class="clear_left"></div>
  </div>  
  
  <div class="blogverhalten_row_a">
    <div class="blogverhalten_left">
      <div class="blogverhalten_left_top">Meta Keywords</div>
      <div class="blogverhalten_left_bottom">Stichwrter zum Blog. Mit Komma getrennt.</div>
    </div>
    <div class="blogverhalten_right">
    	<input type="text" name="meta_keywords" maxlenght="30" class="blogverhalten_input_long" value="<?=stripslashes($expconf['meta_keywords'])?>" />
    </div> 
    <div class="clear_left"></div>
  </div>    
  
  <div class="blogverhalten_row_b">
    <div class="blogverhalten_left">
      <div class="blogverhalten_left_top">Meta Robots</div>
      <div class="blogverhalten_left_bottom">Metaangabe fr Suchmaschienen.</div>
    </div>
    <div class="blogverhalten_right">
    	<input type="text" name="meta_robots" maxlenght="30" class="blogverhalten_input_long" value="<?=stripslashes($expconf['meta_robots'])?>" />
    </div> 
    <div class="clear_left"></div>
  </div>
  
  <div class="blogverhalten_row_a">
    <div class="blogverhalten_left">
      <div class="blogverhalten_left_top">Administrationsverzeichnis</div>
      <div class="blogverhalten_left_bottom">Relative Pfadangabe ausgehend vom Blogverzeichnis.</div>
    </div>
    <div class="blogverhalten_right">
    	<input type="text" name="admin_dir" maxlenght="30" class="blogverhalten_input_long" value="<?=stripslashes($expconf['admin_dir'])?>" />
    </div> 
    <div class="clear_left"></div>
  </div>
  
  <div class="blogverhalten_row_b">
    <div class="blogverhalten_left">
      <div class="blogverhalten_left_top">Templateverzeichnis</div>
      <div class="blogverhalten_left_bottom">Relative Pfadangabe ausgehend vom Blogverzeichnis. Alle Templates mssen als Unterordner in diesem Verzeichnis liegen.</div>
    </div>
    <div class="blogverhalten_right">
    	<input type="text" name="style_dir" maxlenght="30" class="blogverhalten_input_long" value="<?=stripslashes($expconf['style_dir'])?>" />
    </div> 
    <div class="clear_left"></div>
  </div>
  
  <div class="blogverhalten_row_a">
    <div class="blogverhalten_left">
      <div class="blogverhalten_left_top">Wartungsmodus</div>
      <div class="blogverhalten_left_bottom">Ist dieser Modus aktiv werden alle Besucher des Blogs auf die Seite offline.php weitergeleitet. Der Administrationsbereich ist natrlich weiterhin erreichbar.</div>
    </div>
    <div class="blogverhalten_right">
      <select name="wartungsmodus" class="blogverhalten_select">        
        <?php
        if($expconf['wartungsmodus'])
          {
          	echo '<option value="0">deaktiviert</option>';
          	echo '<option value="1" selected>aktiviert</option>';          	
          }
          else
          {
          	echo '<option value="0" selected>deaktiviert</option>';
          	echo '<option value="1">aktiviert</option>';   
          }
        ?>
      </select>   
    </div>
    <div class="clear_left"></div>
  </div>
  
  <div class="blogverhalten_row_b">
    <div class="blogverhalten_left">
      <div class="blogverhalten_left_top">Standard Theme</div>
      <div class="blogverhalten_left_bottom">Hier kann zwischen den installierten CSS Skins ausgewhlt und das Standard Theme des Blogs festgelegt werden.</div>
    </div>
    <div class="blogverhalten_right">
      <select name="style" class="blogverhalten_select">
      	<option value="<?=$expconf['style']?>"><?=$expconf['style']?></option>
      	<?php
      	  $styles = array();
	      	if($handle = opendir('../'.stripslashes($expconf['style_dir']))) 
	      	{
			      while(false !== ($file = readdir($handle))) 
			      {
			        if($file != "." && $file != "..") 
			        {
			          list($filename, $filetype) = explode(".", $file);
			          if(is_dir('../'.stripslashes($expconf['style_dir']).$filename) && $filename != $expconf['style']) 
			          {
			            array_push($styles, $filename);
			          }
			        }
			      }
			    }			    			    
			    sort($styles);
			    foreach($styles as $style)
			    {
			      echo '<option value="'.$style.'">'.$style.'</option>';
			    }
		    ?>        
      </select>   
    </div>
    <div class="clear_left"></div>
  </div> 
  
  <div class="blogverhalten_row_a">
    <div class="blogverhalten_left">
      <div class="blogverhalten_left_top">Sprache</div>
      <div class="blogverhalten_left_bottom">Hier knnen Sie die zu verwendende Sprachdatei auswhlen. Sprachdateien liegen den Templates im Unterordner <i>language</i> bei.</div>
    </div>
    <div class="blogverhalten_right">
      <select name="language" class="blogverhalten_select">
      	<option value="<?=$expconf['language']?>"><?=$expconf['language']?></option>
      	<?php
      	  $styles = array();
	      	if($handle = opendir('../'.stripslashes($expconf['style_dir']).$expconf['style'].'/language/')) 
	      	{
			      while(false !== ($file = readdir($handle))) 
			      {
			        if($file != "." && $file != "..") 
			        {
			          list($filename, $lang, $filetype) = explode(".", $file);
			          if(file_exists('../'.stripslashes($expconf['style_dir']).$expconf['style'].'/language/'.$filename.'.'.$lang.'.'.$filetype) && $filename != $expconf['language']) 
			          {
			            array_push($styles, $filename);
			          }
			        }
			      }
			    }			    			    
			    sort($styles);
			    foreach($styles as $style)
			    {
			      echo '<option value="'.$style.'">'.$style.'</option>';
			    }
		    ?>        
      </select>   
    </div>
    <div class="clear_left"></div>
  </div> 
  
  <div class="blogverhalten_row_b">
    <div class="blogverhalten_left">
      <div class="blogverhalten_left_top">Kommentare</div>
      <div class="blogverhalten_left_bottom">Mit dieser Option kann die Kommentarfunktion blogweit ein- und ausgeschaltet werden.</div>
    </div>
    <div class="blogverhalten_right">
    	<select name="kommentare" class="blogverhalten_select">
	      <?php
	      if($expconf['kommentare'])
	        {
	        	echo '<option value="0">deaktiviert</option>';
	        	echo '<option value="1" selected>aktiviert</option>';          	
	        }
	        else
	        {
	        	echo '<option value="0" selected>deaktiviert</option>';
	        	echo '<option value="1">aktiviert</option>';   
	        }
	      ?>
	    </select>
    </div>
    <div class="clear_left"></div>
  </div>
  <div class="blogverhalten_row_a">
    <div class="blogverhalten_left">
      <div class="blogverhalten_left_top">Spamschutz (Captcha)</div>
      <div class="blogverhalten_left_bottom">Um bei aktivierten Kommentaren Spambots vorzubeugen, empfiehlt es sich diese Option zu aktivieren. Neue Kommentare sind dann mit der Eingabe eines "Sicherheitscodes" verbunden.</div>
    </div>
    <div class="blogverhalten_right">
      <select name="spamschutz" class="blogverhalten_select">
        <?php
	      if($expconf['spamschutz'])
	        {
	        	echo '<option value="0">deaktiviert</option>';
	        	echo '<option value="1" selected>aktiviert</option>';          	
	        }
	        else
	        {
	        	echo '<option value="0" selected>deaktiviert</option>';
	        	echo '<option value="1">aktiviert</option>';   
	        }
	      ?>
      </select>   
    </div>
    <div class="clear_left"></div>
  </div>       
  <div class="blogverhalten_row_b">
		<div class="blogverhalten_left">
			<div class="blogverhalten_left_top">Suchfunktion</div>
			<div class="blogverhalten_left_bottom">
				Hiermit kann die Suchfunktion zum Durchsuchen des Blogs aktiviert werden. 
				Ist diese Funktion deaktiviert verschwindet der "Suchen" Link aus der Navigation.
			</div>
		</div>
		<div class="blogverhalten_right">
			<select name="suche" class="blogverhalten_select">
				<?php
				if($expconf['suche'])
				{
				echo '<option value="0">deaktiviert</option>';
				echo '<option value="1" selected>aktiviert</option>';
				}
				else
				{
				echo '<option value="0" selected>deaktiviert</option>';
				echo '<option value="1">aktiviert</option>';
				}
				?>
			</select>
		</div>
		<div class="clear_left"></div>
	</div>
  <div class="blogverhalten_row_a">
    <div class="blogverhalten_left">
      <div class="blogverhalten_left_top">Saubere URL's (mod_rewrite)</div>
      <div class="blogverhalten_left_bottom">Mit dieser Option knnen Sie gut lesbare, suchmaschinenfreundliche URLs fr das Blog aktivieren. Wichtig: Ihr Webspace muss Mod Rewrite untersttzen. Lesen Sie <a href="http://www.expblog.net/mod-rewrite.html" target="_blank">hier</a> wie Sie es einschalten knnen.</div>
    </div>
    <div class="blogverhalten_right">
    	<select name="modrewrite" class="blogverhalten_select">
        <?php
	      if($expconf['modrewrite'])
	        {
	        	echo '<option value="0">deaktiviert</option>';
	        	echo '<option value="1" selected>aktiviert</option>';          	
	        }
	        else
	        {
	        	echo '<option value="0" selected>deaktiviert</option>';
	        	echo '<option value="1">aktiviert</option>';   
	        }
	      ?>
      </select>
    </div>
    <div class="clear_left"></div>
  </div>
  
  <div class="blogverhalten_row_b">
    <div class="blogverhalten_left">
      <div class="blogverhalten_left_top">Hit-Counter</div>
      <div class="blogverhalten_left_bottom">Mit dieser Option knnen Sie die Ausgabe des Hitcounters in der Startseitenbersicht aktivieren/deaktivieren. Wichtig: Unabhngig von der Ausgabe wird immer mitgezhlt!</div>
    </div>
    <div class="blogverhalten_right">
    	<select name="hitcounter" class="blogverhalten_select">
        <?php
	      if($expconf['hitcounter'])
	        {
	        	echo '<option value="0">deaktiviert</option>';
	        	echo '<option value="1" selected>aktiviert</option>';          	
	        }
	        else
	        {
	        	echo '<option value="0" selected>deaktiviert</option>';
	        	echo '<option value="1">aktiviert</option>';   
	        }
	      ?>
      </select>
    </div>
    <div class="clear_left"></div>
  </div>
  
  <div class="blogverhalten_row_a">
    <div class="blogverhalten_left">
      <div class="blogverhalten_left_top">Bookmark Button</div>
      <div class="blogverhalten_left_bottom">Mit dieser Option knnen Sie die Anzeige des Bookmark Buttons von infopirat.com unter den Artikeln auf der Startseite des Blogs ein- und ausblenden.</div>
    </div>
    <div class="blogverhalten_right">
    	<select name="bookmarkicons" class="blogverhalten_select">
        <?php
	      if($expconf['bookmarkicons'])
	        {
	        	echo '<option value="0">deaktiviert</option>';
	        	echo '<option value="1" selected>aktiviert</option>';          	
	        }
	        else
	        {
	        	echo '<option value="0" selected>deaktiviert</option>';
	        	echo '<option value="1">aktiviert</option>';   
	        }
	      ?>
      </select>
    </div>
    <div class="clear_left"></div>
  </div>
  
  <div class="blogverhalten_row_b">
    <div class="blogverhalten_left">
      <div class="blogverhalten_left_top">DBMS</div>
      <div class="blogverhalten_left_bottom">Hier knnen Sie das zu verwendende Datenbankmanagementsystem auswhlen. Aktuell knnen Sie zwischen MYSQL und SQLite2 whlen.</div>
    </div>
    <div class="blogverhalten_right">
    	<select name="dbms" class="blogverhalten_select">
        <?php
	      if($expconf['dbms'] === 'mysql')
        {
        	echo '<option value="sqlite">sqlite</option>';
        	echo '<option value="mysql" selected>mysql</option>';          	
        } 
        elseif($expconf['dbms'] === 'sqlite')
        {
        	echo '<option value="mysql">mysql</option>';
        	echo '<option value="sqlite" selected>sqlite</option>';   
        }
	      ?>
      </select>
    </div>
    <div class="clear_left"></div>
  </div>    
  
  <div class="blogverhalten_row_a">
    <div class="blogverhalten_left">
      <div class="blogverhalten_left_top">Mailbenachrichtigung</div>
      <div class="blogverhalten_left_bottom">Mit der Mailbenachrichtigung knnen Sie sich bei neuen Kommentaren per Email benachrichtigen lassen.</div>
    </div>
    <div class="blogverhalten_right">
    	<select name="mailbenachrichtigung" class="blogverhalten_select" onchange="javascript:blogverhalten_check_mailbenachrichtigung();">        
        <?php
		      if($expconf['mailbenachrichtigung'])
	        {
	        	echo '<option value="0">deaktiviert</option>';
	        	echo '<option value="1" selected>aktiviert</option>';  
	        	$mailbenachrichtigung_email_class = 'mailbenachrichtigung_email_selected';        	
	        }
	        else
	        {
	        	echo '<option value="0" selected>deaktiviert</option>';
	        	echo '<option value="1">aktiviert</option>';
	        	$mailbenachrichtigung_email_class = 'mailbenachrichtigung_email_deselected';
	        }
	      ?>
      </select>
      <div id="mailbenachrichtigung_email" class="<?=$mailbenachrichtigung_email_class;?>">
      	<p>Email</p>
      	<input type="text" name="mailbenachrichtigung_email" maxlenght="30" class="blogverhalten_input_short" value="<?=$expconf['mailbenachrichtigung_email'];?>" />
      	<div class="clear_left"></div>
      </div>
    </div>
    <div class="clear_left"></div>
  </div> 
     
  <div class="blogverhalten_row_b">
    <div class="blogverhalten_left">
      <div class="blogverhalten_left_top">Videoabmessung</div>
      <div class="blogverhalten_left_bottom">Die hier angegebenen Werte in Pixel gelten fr alle eingebetteten Videos.</div>
    </div>
    <div class="blogverhalten_right">    	
    	<input type="text" name="videoabmessung_b" maxlenght="3" class="blogverhalten_input_vid" value="<?=$expconf['videoabmessung_b']?>" />
    	x
    	<input type="text" name="videoabmessung_h" maxlenght="3" class="blogverhalten_input_vid" value="<?=$expconf['videoabmessung_h']?>" />    	
    	px (Breite x Hhe)
    </div>
    <div class="clear_left"></div>
  </div>  
    
  <div class="blogverhalten_row_a">
    <div class="blogverhalten_left">
      <div class="blogverhalten_left_top">News-Anzahl (Startseite)</div>
      <div class="blogverhalten_left_bottom">Hiermit wird die maximale Anzahl der angezeigten Artikel auf der Starteite (index.php) festgelegt.</div>
    </div>
    <div class="blogverhalten_right">    	
    	<input type="text" name="index_maxnews" maxlenght="3" class="blogverhalten_input_vid" value="<?=$expconf['index_maxnews']?>" />    	    	
    </div>
    <div class="clear_left"></div>
  </div>    
</div>

<div class="blogverhalten_footer">
  <div class="clear_left"></div>
  <div class="blogverhalten_submit"><input type="submit" value="Speichern"></div>  
</div>
</form>

<?php
  }
  else
  {
    include "denied.php";	
  }
  include "footer.php";
?>