<?php
/**
 * Login fuer den Administrationsbereich (ACP)
 *
 * @package     Expblog
 * @category    ACP
 * @author      Volker S. Latainski
 * @copyright   Copyright (c) 2009, Volker S. Latainski
 * @version     0.6
 * @license     Freeware (siehe LIZENZ.txt im Hauptverzeichnis)
 * @link        http://www.expblog.net
 * @link        http://www.expblog.de
 * @filesource
 */
  // Fehlerbehandlung fuer den Administrationsbereich
  error_reporting(E_ALL);
  
  // Include Dateien
  include "../system/sqlconf.php";
  include "../system/expconf.php";
  
  // Klassen bei Bedarf automatisch laden
  function __autoload($class)
  {
    include_once '../system/classes/'.strtolower($class).'.class.php';
  }         
  
  $output = new OUTPUT($expconf);
  
  // Datenbankverbindung aufbauen
  $expblog_user = DB_TABLE_user;
  $output->connectSql('../'); 
  
  // Session initialisieren
  $session = new SESSION($output);
  $session->startSession();    


  function getUserlevel($username, $table) 
  {
    global $output;
    $result = $output->sql->query("SELECT level FROM $table WHERE name='" . $output->sql->checkSql($username) . "'");
    return $result[0]['level'];
  }

  // Session und SID ueberpruefen
  if(isset($_SESSION["sid"]))
  {      
    if($session->getSID($_SESSION['userid']) == md5($_SESSION['sid'])) 
    { 
      header("Location: verfassen.php");
      exit();
    }       
  }

  // Login ueberpruefen
  elseif(isset($_POST['username']) && isset($_POST['password'])) 
  {       
    $res = $output->sql->query("SELECT count(id), id FROM $expblog_user WHERE name = '".$output->sql->checkSql($_POST["username"])."' AND password = '".md5($_POST["password"])."' GROUP BY id");
    if(!empty($res) && $res[0][0] == 1) 
    {     
      // Logindaten merken
      if(isset($_POST['remember'])) 
      {
        setcookie("EXP_USERNAME", $_POST['username'], time()+31536000);
        setcookie("EXP_PASSWORD", $_POST['password'], time()+31536000);  
      }
      else
      {
        if(isset($_COOKIE['EXP_USERNAME']))
        {
          setcookie("EXP_USERNAME", "", time()-3600);
        }
        if(isset($_COOKIE['EXP_PASSWORD']))
        {
          setcookie("EXP_PASSWORD", "", time()-3600);  
        }
      }
      
      // Session Variablen registrieren
      $_SESSION['sid'] = session_id();
      $_SESSION['username'] = $output->sql->checkSql($_POST['username']);
      $_SESSION['userid'] = (int) $res[0][1];
      $_SESSION['userlevel'] = getUserlevel($_POST['username'], $expblog_user);
      
      // SID in der Datenbank updaten
      $session->registerSID($_SESSION['userid'], $_SESSION['sid']);
      
      // Weiterleiten und Script beenden    
      header("Location: verfassen.php");
      exit;
    }
  }
  
  // Gemerkte Logindaten ermitteln
  if(isset($_COOKIE['EXP_USERNAME']) && isset($_COOKIE['EXP_PASSWORD'])) 
  {
    $username = $output->sql->checkSql($_COOKIE['EXP_USERNAME']);
    $password = $output->sql->checkSql($_COOKIE['EXP_PASSWORD']);
  }
  else
  {     
    $username = '';
    $password = '';
  }
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/1999/REC-html401-19991224/loose.dtd">
<html>
  <head>
    <title>eXpBlog [ Login ]</title>
    <meta http-equiv="content-type" content="text/html; charset=iso-8859-1" />
    <link rel="stylesheet" href="style.css" type="text/css" />
  </head>
<body>
<?php
  echo '<div id="login_main">';
  echo '<div id="login_box">';
  
  echo '<form action="login.php" method="post" id="login_formular">';  
  echo '<input type="hidden" name="session_id" value="'.session_id().'" />';  
  echo '<fieldset>
          <label for="username">Benutzer </label><input type="text" name="username" size="30" class="login_box_input" class="username" value="'.$username.'" />
          <div class="clear_left"></div>
          <label for="password">Passwort </label><input type="password" name="password" maxlenght="30" class="login_box_input" class="password" value="'.$password.'" />
          <div class="clear_left"></div>
        </fieldset>';  
  echo '<input type="submit" value="Einloggen" id="login_box_submit" /><br />';
  if(!isset($_COOKIE['EXP_USERNAME']) && !isset($_COOKIE['EXP_PASSWORD'])) 
  {
    echo '<div id="login_box_remember"><input type="checkbox" name="remember" id="remember" /> Logindaten merken! (Cookies ntig!)</div>';
  }     
  else
  {
    echo '<div id="login_box_remember"><input type="checkbox" name="remember" id="remember" checked /> Logindaten merken! (Cookies ntig!)</div>';  
  }
  echo '</form>';
  echo '<div id="login_box_backlink"><a href="'.WEBPATH.'">Zurck zum Weblog</a></div>';
  echo '</div>';
  echo '<div id="login_footer">Expblog Weblog Software Version '.VERSION.' &copy; 2005, 2009 <a href="http://www.expblog.net" target="_blank">www.expblog.net</a></div>';  
  echo '</div>';
?>
</body>
</html>