<?php
/**
 * RPC-Ping Verwaltung im Administrationsbereich (ACP)
 *
 * @package     Expblog
 * @category    ACP
 * @author      Volker S. Latainski
 * @copyright   Copyright (c) 2009, Volker S. Latainski
 * @version     0.6
 * @license     Freeware (siehe LIZENZ.txt im Hauptverzeichnis)
 * @link        http://www.expblog.net
 * @link        http://www.expblog.de
 * @filesource
 */
  include "header.php";
  
  // (Mindest)Zugriffslevel der Seite
  // 0 = Alle, 1 = Moderatoren, 2 = Administratoren, 3 = Blogbesitzer
  $accesslevel = 2;
  if($_SESSION['userlevel'] >= $accesslevel)
  {
    $rpcping = new RPCPING($output);               
  
    if(isset($_POST['rpcstatus']))
    {      
      $rpcstatus = (int) $_POST['rpcstatus'];
      $settings = new SETTINGS($expconf);     
      $status = $settings->setRPCPing($rpcstatus);
      $meldung = 1;
      if(!$status)
      {
        $meldungtxt = 'Fehler: Die Einstellung konnte nicht ge&auml;ndert werden!';
      }
      else
      {
        $meldungtxt = 'Die Einstellung wurde ge&auml;ndert!';
      }
    }
  
    if(isset($_POST['rpcping']))
    {
      $status = $rpcping->ping();
      $meldung = 1;
      if(!$status)
      {
        $meldungtxt = 'Fehler: Die Dienste konnten nicht benachrichtigt werden!';
      }
      else
      {
        $meldungtxt = 'Die Dienste wurden benachrichtigt!';
//        foreach($status as $response)
//        {
//          $answer = array_search("flerror0", $response);  
//          $meldungtxt .= '<br />'.$response[0].': '.$answer;
//        }
      }
    }
  
    if(isset($_POST['add']))
    {     
      $url = $output->sql->checkSql(htmlentities($_POST['url']));
      $titel = $output->sql->checkSql(htmlentities($_POST['titel']));
      $status = $rpcping->addHost($url, $titel);
      $meldung = 1;
      if(!$status)
      {
        $meldungtxt = 'Fehler: Der Dienst konnten nicht hinzugefgt werden!';
      }
      else
      {
        $meldungtxt = 'Der Dienst wurden hinzugefgt!';
      }
    }
    
    if(isset($_GET['delete']))
    {
      $id = (int) $_GET['delete'];
      $status = $rpcping->deleteHost($id);
      $meldung = 1;
      if(!$status)
      {
        $meldungtxt = 'Fehler: Der Dienst konnten nicht gelscht werden!';
      }
      else
      {
        $meldungtxt = 'Der Dienst wurden gelscht!';
      }
    }
    
    if($meldung)
    {
      echo '<div class="content_box">';
      echo '<div class="meldungen">Meldungen</div>';
      echo '<div class="meldungtxt">'.$meldungtxt.'</div>';
      echo '</div>';
    }
    
    if($output->config['rpcstatus'])
	  {
	  	$radio1 = '<input type="radio" name="rpcstatus" value="1" checked>';
	  	$radio0 = '<input type="radio" name="rpcstatus" value="0">';
	  }
	  else
	  {
	    $radio1 = '<input type="radio" name="rpcstatus" value="1">';	
	    $radio0 = '<input type="radio" name="rpcstatus" value="0" checked>';
	  }   
  ?>

<div class="content_box">
  <div class="content_hline">RPCPING-Verwaltung</div>   
  <div id="rpcping">
    <h3>Dienste bei jedem neuen Artikel anpingen</h3>
    <form action="rpcping.php" method="post"> 
      <div id="rpcstatus">
        <?=$radio1?> aktiviert <?=$radio0?> deaktiviert <input type="submit" value="Speichern" class="rpcping_ping_submit" />
      </div> 
    </form>     
    <div id="rpcping_ping_hosts">
      <h3>Dienste jetzt manuell anpingen</h3>
      <form action="rpcping.php" method="post">
        <input type="hidden" name="rpcping" />
        <input type="submit" value="Anpingen!" class="rpcping_ping_submit" />
      </form>   
    </div>
    
    <div id="rpcping_add">
      <h3>Dienst hinzufgen</h3>    
      <form action="rpcping.php" method="post" name="rpcping">    
        <input type="hidden" name="add">  
        <p>URL (mit http://)</p><input name="url" class="rpcping_input" type="text" value="" size="30" maxlength="40" /><div class="clear_left"></div>
        <p>Titel (optional)</p><input name="titel" class="rpcping_input" type="text" value="" size="30" maxlength="40" /><div class="clear_left"></div> 
        <input type="submit" value="Speichern" class="rpcping_submit" />
      </form>
    </div>        
    
    <div id="rpcping_hosts">      
      <h3>Vorhandene Dienste</h3>     
      <p> 
      <?php  
        $res = $rpcping->getAll();     
        foreach($res as $row => $value)
        {
          if(!empty($value['titel']))
          {
            echo '&rArr;&nbsp;&nbsp;<a href="'.$value['url'].'" target="_blank"><b>'.$value['titel'].'</b></a> (<a href="rpcping.php?delete='.$value['id'].'">Lschen</a>)<br />';
          }
          else
          {
            echo '&rArr;&nbsp;&nbsp;<a href="'.$value['url'].'" target="_blank"><b>'.$value['url'].'</b></a> (<a href="rpcping.php?delete='.$value['id'].'">Lschen</a>)<br />';  
          }
        }
        if(!$res)
        {
          echo '<center>&rArr;&nbsp;Kein Dienst eingetragen&nbsp;&lArr;</center>';  
        }
      ?>
      </p>
    </div>      
  </div>  
</div>

<?php
  }
  else
  {
    include "denied.php"; 
  }
  include "footer.php";
?>