<?php
/**
 * Verwaltung der Warteschlange im Administrationsbereich (ACP)
 *
 * @package     Expblog
 * @category    ACP
 * @author      Volker S. Latainski
 * @copyright   Copyright (c) 2008, Volker S. Latainski
 * @version     0.6_1
 * @license     Freeware (siehe LIZENZ.txt im Hauptverzeichnis)
 * @link        http://www.expblog.net
 * @link        http://www.expblog.de
 * @filesource
 */
  include "header.php";  
  $aps = 10; // Artikel pro Seite -> settings.php
  
  // Neues Artikel-Objekt erstellen
  $artikel = new ARTIKEL($output);
  
  // Warteschlange berprfen
  $movedWS = $output->check4News(DB_TABLE_warteschlange, DB_TABLE_news);
  if($movedWS)
  {
    $rss = new RSS($output);	
    $feed = $rss->makeFeed();
  }
  
  // Artikel freischalten
  if(isset($_GET['free']) && $_GET['free'] > '0')
  {
  	$artikel_id = (int) $_GET['free'];
  	$free = $artikel->moveWS($artikel_id);
  	$meldung = 1;
    if($free === false)
    {
    	$meldungtxt = 'Fehler: Der Artikel konnte nicht freigeschaltet werden!';
    }
    else
    {
      $meldungtxt = 'Der Artikel wurde freigeschaltet!';
    }	  	
  }
  
  // Artikel loeschen
  if(isset($_GET['delete']) && $_GET['delete'] > '0')
  {
  	$artikel_id = (int) $_GET['delete'];
  	$delete = $artikel->deleteWS($artikel_id);
  	$meldung = 1;
  	if(!$delete)
    {
    	$meldungtxt = 'Fehler: Der Artikel konnte nicht gelscht werden!';
    }
    else
    {
      $meldungtxt = 'Der Artikel wurde gelscht!';
    }	  	
  }
    
  // Limit ermitteln
  if(isset($_GET['start']) && $_GET['start'] >= '0')
  {
  	$limit_start = (int) $_GET['start'];
  }
  else
  {
  	$limit_start = 0;
  }
  if(isset($_GET['ende']) && $_GET['ende'] >= '1')
  {
  	$limit_ende = (int) $_GET['ende'];
  }
  else
  {
  	$limit_ende = $aps;
  }
  
  $counter = $artikel->countAllWS();
  $pages = ceil($counter/$aps);
  $res = $artikel->getLimitedWS($limit_start, $limit_ende);
  
  if($meldung)
  {
    echo '<div class="content_box">';
    echo '<div class="meldungen">Meldungen</div>';
    echo '<div class="meldungtxt">'.$meldungtxt.'</div>';
    echo '</div>';
  }
?>

<div class="content_box">
<div class="content_hline">Warteschlange</div>
  <?php
		if($counter == 0)
    {
    	echo '<center><b>Meldung: </b>Es sind keine Artikel in der Warteschlange vorhanden!</center>';
    }
    else
    {
    	$i = 1;	 
    	echo '<form action="artikel.php" method="post">'; 	
	  	foreach($res as $row => $value) 
	  	{	  		
	  		if(is_int($i/2))
	  		{
	  			echo '<div class="warteschlange_box1">';
	  			#echo '<div class="warteschlange_box_left1"><input type="checkbox" name="delete_ids[]" value="$_id"></div>';
	  			echo '<div class="warteschlange_box_right1">';
	  		}
	  		else
	  		{
	  			echo '<div class="warteschlange_box2">';
	  			#echo '<div class="warteschlange_box_left2"><input type="checkbox" name="delete_ids[]" value="$_id"></div>';
	  			echo '<div class="warteschlange_box_right2">';
	  		}
	  		
	  		echo '<div class="warteschlange_kategorie">Kategorie: <b>'.$value['name'].'</b></div>';
	  		echo '<div class="warteschlange_autor">Autor: <b>'.$value['username'].'</b></div>';
	  		echo '<div class="warteschlange_datetime"><b>Freischaltung am '.strftime('%A, %d. %B %Y um %H:%M:%S', $value['timestamp']).' Uhr</b></div>';	  		  	  	  	  
	  		echo '<div class="warteschlange_actions"><a href="?free='.$value['id'].'" title="Freischalten">Freischalten</a> | <a href="?delete='.$value['id'].'" title="Lschen" onclick="return confirm(\'Soll der Artikel wirklich aus der Warteschlange gelscht werden?\');">Lschen</a></div>';	  		
	  		echo '<div class="warteschlange_titel">'.$value['titel'].'</div>';
	  		echo '<div class="warteschlange_teaser">'.strip_tags($value['teaser']).'</div>';	  		
	  		echo '</div>';
	  		echo '<div class="clear_left"></div>';
	  		echo '</div>';
	  		$i++;
	  	}
    }
  ?>
</div>

<div id="artikel_footer">  
	<?php
	  if($counter > 0)
	  {
	  	#echo '<div id="artikel_weitere_links"><input type="submit" value="Auswahl lschen!" onclick="return confirm(\'Sollen die ausgewhlten Artikel wirklich gelscht werden?\');" /></form></div>';	  
		  echo '<div id="warteschlange_pager">';		  
		  if($pages > 1)
		  {  	
		  	echo '<p>Seiten:&nbsp;';
		  	$a = 0;
		    $b = $aps-1;
		  	for($i=1;$i<=$pages;$i++)
		  	{ 
		  		if($limit_start == $a)
		  		{	
		  		  echo '[<a href="artikel.php?start='.$a.'&ende='.$aps.'">'.$i.'</a>]&nbsp;';
		  		}
		  		else
		  		{
		  			echo '<a href="artikel.php?start='.$a.'&ende='.$aps.'">'.$i.'</a>&nbsp;';
		  		}
		  		$a += $aps;
		  	}
		  	echo '</p>';
		  }	  
		  
			if($limit_start-$aps >= 0)
			{
				echo '<a href="warteschlange.php?start='.($limit_start-$aps).'&ende='.$aps.'"><img src="img/lastpage.png" border="0"/></a>';
			}
			else
			{
				echo '<img src="img/lastpage2.png" border="0"/>';
			}
		?>
		<a href="#top"><img src="img/up.png" border="0"/></a>
		<?php
			if($limit_start+$aps <= $counter)
			{
				echo '<a href="warteschlange.php?start='.($limit_start+$aps).'&ende='.$aps.'"><img src="img/nextpage.png" border="0"/></a>';
			}
			else
			{
				echo '<img src="img/nextpage2.png" border="0"/>';
			}
			
			echo '</div>';
		}
	?>
</div>

<?php
  include "footer.php";
?>