<?php
/**
 * Outputdatei fr die Hauptansicht
 *
 * Achtung: Aenderungen am Design bitte in den Templates vornehmen!
 * Die Templates befinden sich im Ordner "templates".
 *
 * @package     Expblog
 * @category    Backend
 * @author      Volker S. Latainski
 * @copyright   Copyright (c) 2008, Volker S. Latainski
 * @version     0.6.1
 * @license     Freeware (siehe LIZENZ.txt im Hauptverzeichnis)
 * @link        http://www.expblog.net
 * @link        http://www.expblog.de
 * @filesource
 */
// Fehlerbehandlung
error_reporting(E_ALL);  // 0 = deaktiviert; E_ALL = aktiviert

// Include Files
include_once "system/sqlconf.php";   // SQL Konstanten (Zugangsdaten & Tabellennamen)
include_once "system/expconf.php";   // Expblog Konfiguration ($expconf Array)
include_once "system/abbc.lib.php";  // BBCode Parser

// Klassen bei Bedarf automatisch laden
function __autoload($class)
{
  include_once 'system/classes/'.strtolower($class).'.class.php';
}

// Initialisierung der Ausgabe Klassen. Diese Klassen halten alle Ausgaben die
// im Template verwendet werden knnen vor.
$output = new OUTPUT($expconf, true);  // (system/classes/output.class.php)
$header = new HEADER($expconf);        // Erweiterung der Klasse Output (system/classes/header.class.php)
$index  = new INDEX($expconf);         // Erweiterung der Klasse Output (system/classes/index.class.php)

// Sprachdatei laden (steht danach als Array $lang zur Verfgung)
include_once $output->config['style_dir'].$output->config['style'].'/'.'language/'.$output->config['language'].'.lang.php';

// Ab hier beginnt die Ausgabe des Templates
include_once $output->config['style_dir'].$output->config['style'].'/header.tpl.php';
include_once $output->config['style_dir'].$output->config['style'].'/index.tpl.php';
include_once $output->config['style_dir'].$output->config['style'].'/footer.tpl.php';
?>