<?php
/**
 * Templatedatei fr den Blogheader(Metadaten,Navi,...)
 *
 * @package     Expblog
 * @category    Installer
 * @author      Volker S. Latainski
 * @copyright   Copyright (c) 2008, Volker S. Latainski
 * @version     0.6_2
 * @license     Freeware (siehe LIZENZ.txt im Hauptverzeichnis)
 * @link        http://www.expblog.net
 * @link        http://www.expblog.de
 * @filesource
 */
session_start();
if(isset($_SESSION["eula"]) && isset($_POST['install']))
{
  include "../system/expconf.php";
  include "../system/classes/database.class.php";
  include "install.class.php";
  if($_SESSION["dbms"] === 'mysql')
  {
    include "../system/classes/mysql.class.php";
  }
  elseif($_SESSION["dbms"] === 'sqlite')
  {
    include "../system/classes/sqlite.class.php";
  }

  // Fehler Array
  $error = array();

  // Installations Objekt erstellen
  $install = new INSTALL($_SESSION['dbms']);

  // Tabellen anlegen (nur bei MYSQL)
  if($_SESSION['dbms'] === 'mysql')
  {
    if(false === ($tablestatus = $install->checkIfTablesExists()))
    {
      $install->createExpblogTables();
    }
    else
    {
      array_push($error, 'Es existieren bereits die Tabellen <i>'.implode(', ', $tablestatus).'</i> in der Datenbank <i>'.$install->database.'</i>.');
    }
  }

  // Admin Account anlegen
  if(!$tablestatus)
  {
    if(empty($_POST['admin']) || empty($_POST['adminpw']))
    {
      $owneracc = $install->createOwnerAccount();
    }
    else
    {
      $owneracc = $install->createOwnerAccount($_POST['admin'], $_POST['adminpw']);
    }

    if(!$owneracc)
    {
      array_push($error, 'Das Administrator Konto konnte <u>nicht</u> angelegt werden.');
    }
  }
  else
  {
    array_push($error, 'Durch die doppelten Tabellen wurde das Administrator Konto <u>nicht</u> angelegt');
  }

  // Demoeintrge schreiben
  if(!$tablestatus)
  {
    if($_POST['demoeintraege'])
    {
      if(false === ($democontent = $install->writeDemoContent()))
      {echo 1;
        array_push($error, 'Die Demoeintrge konnten <b>nicht</b> angelegt werden');
      }
    }
  }
  else
  {
    array_push($error, 'Durch die doppelten Tabellen wurden die Demoeintrge <u>nicht</u> angelegt');
  }

  // Konfiguration(en) schreiben
  if(!$tablestatus)
  {
    if(false === ($configs = $install->writeConfig($expconf)))
    {
      array_push($error, 'Die Konfigurationsdatei(en) konnt(en) <b>nicht</b> geschrieben werden');
    }
  }
  else
  {
    array_push($error, 'Durch die doppelten Tabellen wurden die Konfigurationsdatei(en) <u>nicht</u> beschrieben');
  }
}
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/1999/REC-html401-19991224/loose.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <title>Expblog - Webinstaller</title>
    <meta http-equiv="content-type" content="text/html; charset=iso-8859-1" />
    <link rel="stylesheet" href="install.css" type="text/css">
  </head>
<body>
<div id="main">

  <div id="head">
    <div id="help_links">
      <a href="http://www.expblog.net/" target="_blank">Home</a>&nbsp;&nbsp;|&nbsp;&nbsp;
      <a href="http://www.expblog.net/forum" target="_blank">Forum</a>&nbsp;&nbsp;|&nbsp;&nbsp;
      <a href="http://www.expblog.net/installation.html" target="_blank">Installationsanleitung</a>&nbsp;&nbsp;|&nbsp;&nbsp;
      <a href="http://www.expblog.net/update.html" target="_blank">Hilfe zum UpDaten</a>
    </div>
    <div id="headline">
      <div id="logo"><a href="http://www.expblog.net" target="_blank"><img src="logo.png" border="0" /></a></div>
      <div id="logotext"><p>Webinstaller f&uuml;r Expblog <?=VERSION?></p></div>
      <div style="clear:left;"></div>
    </div>
  </div>

  <div id="container">

    <p>Lizenz -> Voraussetzungen -> Datenbank -> Dateiberechtigungen -> Konfiguration -> <span class="active_cat">Abschluss</span></p>

    <h1>Abschluss</h1>

    <br />

    <?php
      if(count($error) > 0)
      {
        echo '<b>Es sind folgende Fehler aufgetreten:</b><br />';
        echo '<ul>';
        foreach($error as $error)
        {
          echo '<li>'.$error.'</li>';
        }
        echo '</ul>';
      }
      else
      {
        echo '<h2>Herzlichen Glckwunsch, das Setup wurde erfolgreich durchgefhrt!</h2>';
        echo '<p>Sie knnen sich nun in den <a href="../admin/login.php">Administrationsbereich(ACP)</a> einloggen.<br />';
        echo 'Bitte vergessen Sie nicht das Installationsverzeichnis "install" zu lschen oder umzubenennen. Ansonsten ist das Blog nicht einzatzfhig!!</p>';
        echo '<br /><br /></p>';
      }
    ?>


    <p id="footer">Expblog <?=VERSION?> Weblog Software &copy; 2005, 2009 <a href="http://www.expblog.net" style="text-decoration:none;" target="_blank">www.expblog.net</a></p>
  </div>
</div>
</body>
</html>