<?php
/**
  *  - install/dateiberechtigungen.php -
  *
  *  @ Software    eXpBlog Weblog Software
  *  @ Version     0.6
  *  @ Lizenz      Frei zur privaten Nutzung (siehe LIZENZ.txt)
  *  @ Author      Volker Latainski
  *  @ Home        www.expblog.net / www.expblog.de
  *  @ Kontakt     kontakt@expblog.net
  *
  *
  *  Die Nutzung der eXpBlog Software erfolgt eigenverantwortlich und
  *  auf eigene Gefahr. Der Autor haftet fr keine Schden die durch
  *  die Nutzung entstehen.
  *
  *  Bugs und Feature Requests knnen im Forum (www.expblog.net/forum)
  *  eingereicht werden.
  *
  ***********************************************************************/
  session_start();  
  if(isset($_SESSION["eula"]))
  {
    include("../system/expconf.php");
    include("../system/classes/chmod.class.php");
    $session_id = session_id();
    
    $objekts = array();
    $elements = array(
      "config"    => array("../system/sqlconf.php", 0644),
      "settings"  => array("../system/expconf.php", 0644),
      "rssfeed"   => array("../rss.xml", 0644),
      "history"   => array("../plugins/history.txt", 0644),
      "sqlitedb"  => array("../system/expblog.sqlite.db", 0600),
      "tmpdir"    => array("../system/tmp/", 0755),
      "uploaddir" => array("../uploads/", 0755),
      "filedir"   => array("../uploads/files/", 0755),
      "imagedir"  => array("../uploads/images/", 0755),
      "thumbdir"  => array("../uploads/thumbs/", 0755)
    );
    
    // Datei Objekte erzeugen
    foreach($elements as $element)
    {
      $objekts[$element[0]] = new CHMOD($element[0], $element[1]);
    }
  
    // den richtigen CHMOD setzen
    if(isset($_POST["setchmod"]))    
    {      
      foreach($objekts as $objekt)
      {
        if (file_exists($objekt->file)) {
          // wenn das File nicht den erforderlichen CHMOD hat -> versuchen zu setzen
          if($objekt->status != 2)
          {
            $objekt->setCHMOD();            
          }
        }
      }
    }
    
    if(isset($_POST["dbms"]))
    {
      $_SESSION['dbms'] = $_POST['dbms'];      
      if($_POST["dbms"])
      {
        $_SESSION['host'] = $_POST['host'];
        $_SESSION['database'] = $_POST['database'];
        $_SESSION['username'] = $_POST['username'];
        $_SESSION['password'] = $_POST['password'];
        $_SESSION['prefix'] = $_POST['prefix'];
      }
    }
  }
  else
  {
    header("location: index.php");
  }
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/1999/REC-html401-19991224/loose.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <title>.:eXpBlog:. [Installation/SetUp]</title>
    <meta http-equiv="content-type" content="text/html; charset=iso-8859-1" />
    <link rel="stylesheet" href="install.css" type="text/css">
  </head>
<body>
<div id="main">

  <div id="head">
    <div id="help_links">
      <a href="http://www.expblog.net/" target="_blank">Home</a>&nbsp;&nbsp;|&nbsp;&nbsp;
      <a href="http://www.expblog.net/forum" target="_blank">Forum</a>&nbsp;&nbsp;|&nbsp;&nbsp;
      <a href="http://www.expblog.net/installation.html" target="_blank">Installationsanleitung</a>&nbsp;&nbsp;|&nbsp;&nbsp;
      <a href="http://www.expblog.net/update.html" target="_blank">Hilfe zum UpDaten</a>
    </div>
    <div id="headline">     
      <div id="logo"><a href="http://www.expblog.net" target="_blank"><img src="logo.png" border="0" /></a></div>
      <div id="logotext"><p>Webinstaller f&uuml;r expblog <?=VERSION?></p></div>
      <div style="clear:left;"></div>
    </div>
  </div>

  <div id="container">
    
    <p>Lizenz -> Voraussetzungen -> Datenbank -> <span class="active_cat">Dateiberechtigungen</span> -> Konfiguration -> Abschluss</p>
       
    <h1><a href="datenbank.php">&laquo;</a>&nbsp;&nbsp;Dateiberechtigungen&nbsp;&nbsp;<a href="konfiguration.php">&raquo;</a></h1>
    
    <br />

    <p>
      Fr einen reibungslosen Betrieb des Blogs ist es notwendig das bestimmte Dateien und Ordner les- und beschreibbar sind.
      Zustzlich mssen die Verzeichnise fr temporre Dateien <i>system/tmp/</i> und Uploads <i>uploads/</i> (+Unterordner) ausfhrbar sein. 
      Sollte die nachfolgende Prfung nicht ausreichende Rechte ergeben, knnen Sie versuchen die bentigten Rechte mittels PHP zu setzen.      
    </p>
<?php
    echo '<table id="permissions">';
    foreach($objekts as $objekt)
    {
      if ($objekt->checkStatus() == 2)
      {
        echo '<tr><td class="td_left">'.str_replace("../", "", $objekt->file) .'</td><td class="td_right"><img src="../system/images/true.gif" />&nbsp;&nbsp;&nbsp;&nbsp;Beschreibbar</td></tr>';
      }
      elseif ($objekt->status == 1)
      {
        echo '<tr><td class="td_left">'.str_replace("../", "", $objekt->file) .'</td><td class="td_right"><img src="../system/images/false.gif" /><p class="error_message">&nbsp;&nbsp;&nbsp;&nbsp;Schreibgeschtzt</p></td></tr>';
      }
      else
      {
        echo '<tr><td class="td_left">'.str_replace("../", "", $objekt->file) .'</td><td class="td_right"><img src="../system/images/false.gif" /><p class="error_message">&nbsp;&nbsp;&nbsp;&nbsp;Nicht vorhanden</p></td></tr>';
      }
    }
    echo '</table>';
?>
    <form action="dateiberechtigungen.php" method="post" />
      <input type="hidden" name="session_id" value="<?=$session_id?>" />
      <input type="hidden" value="1" name="setchmod" />
      <input type="submit" value="Dateirechte per PHP setzen *" class="submit2" />
    </form>

    <p id="info_text">
      * Bitte beachten Sie das nicht jede Webserver Konfiguration ein automatisches Setzen der Dateiberechtigungen per PHP zulsst! 
      Bei Problemen mssen die entsprechenden Rechte manuell, z.B. mit einem FTP-Programm, vergeben werden. Lesen Sie mehr dazu in 
      der <a href="http://www.expblog.net/installation.html#dateirechte" target="_blank">Installationsanleitung</a>.
    </p>

    <br /><br />

    <form action="konfiguration.php" method="post">
       <input type="hidden" name="session_id" value="<?=$session_id?>" />
       <input type="submit" value="Mit der Installation fortfahren" class="submit" />
     </form>

    <p id="footer">expblog <?=VERSION?> Weblog Software &copy; 2005, 2009 <a href="http://www.expblog.net" style="text-decoration:none;" target="_blank">www.expblog.net</a></p>
  </div>
</div>
</body>
</html>