<?php
/**
 * Blogroll Plugin fr die Seitenleiste
 *
 * Dieses Plugin wird ber das ACP verwaltet.
 *
 * @package     Expblog
 * @category    Plugins
 * @author      Volker S. Latainski
 * @copyright   Copyright (c) 2008, Volker S. Latainski
 * @version     0.6.3
 * @license     Freeware (siehe LIZENZ.txt im Hauptverzeichnis)
 * @link        http://www.expblog.net
 * @link        http://www.expblog.de
 * @filesource
 */

/**
 * Hauptfunktion des Plugins
 *
 * @param    object $output  Referenz(keine Kopie!) auf das Output Objekt
 * @param    array  $lang    Array der aus der aktuell verwendeten Sprachdatei
 * @param    array  $post    Kopie von $_POST
 * @param    array  $get     Kopie von $_GET
 * @return   void
 */
function blogroll($output, $lang, $post, $get)
{
  $expblog_blogroll = DB_TABLE_blogroll;
  $res = $output->sql->query("
    SELECT
      id, url, titel
    FROM
      {$expblog_blogroll}
    ORDER BY
      id
    DESC
  ");

  if(count($res) > 0)
  {
?>
    <!-- Anfang Blogroll -->
    <div id="plugin_blogroll">
      <p id="plugin_blogroll_topic"><?=$lang['plugins']['blogroll']['title']?></p>
      <ul id="plugin_blogroll_liste">
      <?php
      foreach($res as $array => $row)
      {
        if(!empty($row['titel']))
        {
          echo '<li><a href="'.$row['url'].'" title="'.$row['titel'].'" target="_blank">'.$row['titel'].'</a></li>';
        }
        elseif(!empty($row['titel']) && strlen($row['titel']) > 28)
        {
          echo '<li><a href="'.$row['url'].'" title="'.$row['titel'].'" target="_blank">'.substr($row['titel'], 0, 28).'...</a></li>';
        }
        else
        {
          $parsed_url = parse_url($row['url']);
          echo '<li><a href="'.$row['url'].'" title="'.$row['url'].'" target="_blank">'.$parsed_url['host'].'</a></li>';
        }
      }
      ?>
      </ul>
    </div>
    <!-- Ende Blogroll -->
<?php
  }
}
?>
