<?php
/**
 * Expblog Frontend Basisklasse
 *
 * Diese Klasse ist zum Initialisieren der Ausgabe des Expblogs notwendig.
 * @package     Expblog
 * @category    Plugins
 * @author      Volker S. Latainski
 * @copyright   Copyright (c) 2008, Volker S. Latainski
 * @version     0.6
 * @license     Freeware (siehe LIZENZ.txt im Hauptverzeichnis)
 * @link        http://www.expblog.net
 * @link        http://www.expblog.de
 * @filesource
 */
  include "../../system/sqlconf.php";
  include "../../system/expconf.php";
  
  @ setlocale(LC_ALL, 'de_DE@euro', 'de_DE.iso-8859-1', 'de_DE', 'de', 'ge', 'deu_deu', 'German_Germany');
  
  function __autoload($class)
  {
    include_once '../../system/classes/'.strtolower($class).'.class.php';
  }
  
  $output = new OUTPUT($expconf);  // (system/classes/output.class.php)
  $output->connectSQL('../../');

  $sql_querys = 0; 
  $expblog_news = DB_TABLE_news;  
  $time = time();
  $diesermonat = strftime("%m", $time);
  $diesesjahr = strftime("%Y", $time);
  $nl = "\r\n";
  
  if(is_numeric($_GET['jahr']))
  {
  	$jahr = (int) $_GET['jahr'];
  }
  else
  { 
  	$jahr = $diesesjahr;
  }
 
  if(isset($_GET['monat']) && $_GET['monat'] < 13 && $_GET['monat'] > 0)
  {
  	$monat = (int) $_GET['monat'];
  }
  elseif($_GET['monat'] == 13)
  {
  	$jahr++;
  	$monat = 01;  	
  }
  elseif(isset($_GET['monat']) && $_GET['monat'] == 0)
  {
  	$jahr--;
  	$monat = 12;
  }
  else
  { 	  	
  	$monat = $diesermonat;
  }  
  
  if($monat == $diesermonat && $jahr == $diesesjahr)
  {
  	$tag = strftime("%d", $time);  
  	$timestamp = strtotime($jahr.'-'.$monat.'-'.$tag); 
  }
  else
  {
    $tag = 0;
    $timestamp = strtotime($jahr.'-'.$monat.'-01'); 
  }
   
  $wochentag = strftime("%A", $timestamp);
  $monatsname = str_replace('', '&auml;', strftime("%B", $timestamp));
  $monatstage = date("t", strtotime($jahr.'-'.$monat.'-01'));
  $firstday = strftime("%w", strtotime($jahr.'-'.$monat.'-01'));  
       
  function watchDay($anfangTS, $endeTS, $expblog_news)
  {
  	global $output;
    $res = $output->sql->query("
      SELECT 
        COUNT(news.id) counter
      FROM
        {$expblog_news} AS news     
      WHERE
        news.timestamp >= '{$anfangTS}'
      AND
        news.timestamp <= '{$endeTS}'
      AND
        news.published = 1
    ");
    return $res[0]['counter'];
  }    
  
  echo '<div id="plugin_kalender">'.$nl;    
  echo '<div id="plugin_kalender_monat">'.$monatsname.' '.$jahr.'</div>'.$nl;    
  echo '<div id="plugin_kalender_box">'.$nl;    
  echo '<div class="plugin_kalender_wochentage">Mo</div>'.$nl;
  echo '<div class="plugin_kalender_wochentage">Di</div>'.$nl;
  echo '<div class="plugin_kalender_wochentage">Mi</div>'.$nl;
  echo '<div class="plugin_kalender_wochentage">Do</div>'.$nl;
  echo '<div class="plugin_kalender_wochentage">Fr</div>'.$nl;
  echo '<div class="plugin_kalender_wochentage">Sa</div>'.$nl;
  echo '<div class="plugin_kalender_wochentage">So</div>'.$nl;
  echo '<div class="clear_left"></div>'.$nl;
  
    $x = 1;
		if($firstday == 0) $firstday = 7;    
    for($i=1;$i<$firstday;$i++)
    {
      echo '<div class="plugin_kalender_placeholder_top">.:.</div>'.$nl;  
      if(($x%7) == 0)
      {
        echo '<div class="clear_left"></div>'.$nl;
      } 
      $x++;
    } 
    for($i=1;$i<=$monatstage;$i++)
    {   
      $anfangTS = strtotime($jahr.'-'.$monat.'-'.$i.' 00:00:00');
      $endeTS = strtotime($jahr.'-'.$monat.'-'.$i.' 23:59:59');
      if($i == $tag && $tag > 0)
      {
      	$watchday = watchDay($anfangTS, $endeTS, $expblog_news);
      	if($watchday == 0)
      	{
      		echo '<div id="'.$i.'" class="plugin_kalender_tag_today">'.$i.'</div>'.$nl;
      	}
      	else
      	{
      		if($expconf['modrewrite'])
      		{
      			echo '<div id="'.$i.'" class="plugin_kalender_tag_today"><a href="'.WEBPATH.'archiv/'.$jahr.'/'.$monat.'/'.$i.'" title="'.$watchday.' Artikel">'.$i.'</a></div>'.$nl;
      		}
      		else
      		{
      			echo '<div id="'.$i.'" class="plugin_kalender_tag_today"><a href="'.WEBPATH.'index.php?a=archiv&amp;j='.$jahr.'&amp;m='.$monat.'&amp;d='.$i.'" title="'.$watchday.' Artikel">'.$i.'</a></div>'.$nl;
      		}      		
      	}
      }
      else
      {
      	$watchday = watchDay($anfangTS, $endeTS, $expblog_news);
      	if($watchday == 0)
      	{
      		echo '<div id="'.$i.'" class="plugin_kalender_tag_normal">'.$i.'</div>'.$nl;
      	}
      	else
      	{
      		if($expconf['modrewrite'])
      		{
      			echo '<div id="'.$i.'" class="plugin_kalender_tag_normal_link"><a href="'.WEBPATH.'archiv/'.$jahr.'/'.$monat.'/'.$i.'" title="'.$watchday.' Artikel">'.$i.'</a></div>'.$nl;
      		}
      		else
      		{
      			echo '<div id="'.$i.'" class="plugin_kalender_tag_normal_link"><a href="'.WEBPATH.'index.php?a=archiv&amp;j='.$jahr.'&amp;m='.$monat.'&amp;d='.$i.'" title="'.$watchday.' Artikel">'.$i.'</a></div>'.$nl;
      		}
      	}
      }      
      if(($x%7) == 0)
      {
        echo '<div class="clear_left"></div>'.$nl;
      } 
      $x++;     
    }
    for($i=1;$i<=(($x-1)%7);$i++)
    { 
      echo '<div class="plugin_kalender_placeholder_bottom">.:.</div>'.$nl;   
      if(($x%7) == 0)
      {
        echo '<div class="clear_left"></div>'.$nl;
      } 
      $x++;           
    }
    echo '<div class="clear_left"></div>'.$nl;    
    echo '</div>'.$nl;  
    
    echo '<div id="plugin_kalender_navi">';
    echo '<a href="#" onclick="getCal('.$jahr.','.($monat-1).')" title="Vorheriger Monat">&laquo;</a> ';
    echo '<a href="#" onclick="getCal('.($jahr-1).','.$monat.')" title="Vorheriges Jahr">&laquo;&laquo;</a> <a href="#" onclick="getCalOnStart()" title="Aktuelles Datum">&sdot;</a> ';
    echo '<a href="#" onclick="getCal('.($jahr+1).','.$monat.')" title="N&auml;chstes Jahr">&raquo;&raquo;</a> ';
    echo '<a href="#" onclick="getCal('.$jahr.','.($monat+1).')" title="N&auml;chster Monat">&raquo;</a>'; 
    echo '</div>'.$nl;  
    
    echo '</div>'.$nl;         
    
?>