<?php
/**
 * "Kategorien" Plugin fr die Seitenleiste
 *
 * @package     Expblog
 * @category    Plugins
 * @author      Volker S. Latainski
 * @copyright   Copyright (c) 2008, Volker S. Latainski
 * @version     0.6
 * @license     Freeware (siehe LIZENZ.txt im Hauptverzeichnis)
 * @link        http://www.expblog.net
 * @link        http://www.expblog.de
 * @filesource
 */

/**
 * Hauptfunktion des Plugins
 *
 * @param    object $output  Referenz(keine Kopie!) auf das Output Objekt
 * @param    array  $lang    Array der aus der aktuell verwendeten Sprachdatei
 * @param    array  $post    Kopie von $_POST
 * @param    array  $get     Kopie von $_GET
 * @return   void
 */
function kategorien($output, $lang, $post, $get)
{
?>
<!-- Anfang Kategorien Plugin -->
<div id="plugin_kategorien">
<p id="plugin_kategorien_topic"><?=$lang['plugins']['kategorien']['title']?></p>
<?php
echo '<ul id="plugin_kategorien_links">';
$kategorien = array();
$res = $output->sql->query("
  SELECT
    kategorien.name AS name, COUNT(news.id) AS count
  FROM
    ".DB_TABLE_kategorien." AS kategorien
  LEFT JOIN
    ".DB_TABLE_news." AS news
  ON
    news.kategorie = kategorien.id
  WHERE
    news.published = 1
  GROUP BY
    kategorien.name
  ORDER BY
    kategorien.name
  ASC
");
foreach($res as $array => $row)
{
  if($output->config['modrewrite'])
  {
    echo '<li><a href="'.WEBPATH.'kategorie/'.$output->string2urlstring($row['name']).'" title="Alle Beitrge der Kategorie \''.$row['name'].'\' ansehen">'.$row['name'].'</a> ('.$row['count'].')</li>';
  }
  else
  {
    echo '<li><a href="'.WEBPATH.'index.php?kategorie='.$output->string2urlstring($row['name']).'" title="Alle Beitrge der Kategorie \''.$row['name'].'\' ansehen">'.$row['name'].'</a> ('.$row['count'].')</li>';
  }
}
echo "</ul>";
?>
</div>
<!-- Ende Kategorien Plugin -->
<?php } ?>
