<?php
/**
 * "Kommentare" Plugin fr die Seitenleiste
 *
 * @package     Expblog
 * @category    Plugins
 * @author      Volker S. Latainski
 * @copyright   Copyright (c) 2009, Volker S. Latainski
 * @version     0.6
 * @license     Freeware (siehe LIZENZ.txt im Hauptverzeichnis)
 * @link        http://www.expblog.net
 * @link        http://www.expblog.de
 * @filesource
 */

/**
 * Hauptfunktion des Plugins
 *
 * @param    object $output  Referenz(keine Kopie!) auf das Output Objekt
 * @param    array  $lang    Array der aktuell verwendeten Sprachdatei
 * @param    array  $post    Kopie von $_POST
 * @param    array  $get     Kopie von $_GET
 * @return   void
 */
function kommentare($output, $lang, $post, $get)
{
  // Include Files
  $lastcomments_max = 5;
  $lastcomments_substr = 200;
  if($lastcomments_max > 0):
    $res = $output->sql->query("
      SELECT
        kommentare.id as kommentar_id,
        kommentare.news as news,
        kommentare.name as name,
        kommentare.kommentar as kommentar,
        kommentare.timestamp as timestamp,
        news.id as id,
        news.titel as titel,
        news.timestamp as timestamp
      FROM
        ".DB_TABLE_kommentare." AS kommentare
      INNER JOIN
        ".DB_TABLE_news." AS news
      ON
        kommentare.news = news.id
      ORDER BY
        kommentare.timestamp
      DESC LIMIT
        {$lastcomments_max}
    ");
    if(count($res) > 0)
    {
?>
    <!-- Anfang Kommentare Plugin -->
    <div id="plugin_kommentare">
      <p id="plugin_kommentare_topic"><?=$lang['plugins']['kommentare']['title']?></p>
      <?php
        foreach($res as $array => $row):
          $lastcomment_body = ereg_replace("</div>", "", ereg_replace("<div class=abbc>", "", ereg_replace("<br>", "", abbc_proc(substr($row['kommentar'], 0, $lastcomments_substr)))));
          $lastcomment_body = html_entity_decode($lastcomment_body);
          $lastcomment_body .= "...";
          $jahr = date("Y", $row['timestamp']);
          $monat = date("m", $row['timestamp']);
          $tag = date("d", $row['timestamp']);
          if($output->config['modrewrite'])
            echo '<p class="plugin_kommentare_entry"><a href="'.WEBPATH.'archiv/'.$jahr.'/'.$monat.'/'.$tag.'/'.$row['id'].'-'.$output->string2urlstring($row['titel']).'#kommentar'.$row['kommentar_id'].'">'.$row['name'].'</a>: '.$lastcomment_body.'</p>';
          else
            echo '<p class="plugin_kommentare_entry"><a href="'.WEBPATH.'details.php?id='.$row['news'].'#kommentar'.$row['kommentar_id'].'">'.$row['name'].'</a>: '.$lastcomment_body.'</p>';
          $x++;
        endforeach;
        unset($res);
      ?>
    </div>
    <!-- Ende Kommentare Plugin -->
  <?php
  	}
  endif;
}
?>