<?php
/**
 * Plugin fr die Seitenleiste
 *
 * @package     Expblog
 * @category    Plugins
 * @author      Volker S. Latainski
 * @copyright   Copyright (c) 2008, Volker S. Latainski
 * @version     0.6.2
 * @license     Freeware (siehe LIZENZ.txt im Hauptverzeichnis)
 * @link        http://www.expblog.net
 * @link        http://www.expblog.de
 * @filesource
 */

/**
 * Hauptfunktion des Plugins
 *
 * @param    object $output  Referenz(keine Kopie!) auf das Output Objekt
 * @param    array  $lang    Array der aus der aktuell verwendeten Sprachdatei
 * @param    array  $post    Kopie von $_POST
 * @param    array  $get     Kopie von $_GET
 * @return   void
 */
function meistgelesene($output, $lang, $post, $get)
{
  // Plugin Konfiguration
  $limit = 10;
  $res = $output->sql->query("
    SELECT
      id, titel, hits, timestamp
    FROM
      ".DB_TABLE_news."
    WHERE
      published = 1
    ORDER BY
      hits
    DESC LIMIT {$limit}
  ");
?>
  <!-- Anfang Meistgelesene -->
  <div id="plugin_meistgelesene">
    <p id="plugin_meistgelesene_topic"><?=$lang['plugins']['meistgelesene']['title']?></p>
    <ul id="plugin_meistgelesene_liste">
    <?php
    foreach($res as $array => $row)
    {
      if(isset($row['titel']) && !empty($row['titel']))
      {
        $jahr = date("Y", $row['timestamp']);
        $monat = date("m", $row['timestamp']);
        $tag = date("d", $row['timestamp']);
        if($output->config['modrewrite'])
        {
        	echo '<li><a href="'.WEBPATH.'archiv/'.$jahr.'/'.$monat.'/'.$tag.'/'.$row['id'].'-'.$output->string2urlstring($row['titel']).'">'.$row['titel'].'</a></li>';
        }
        else
        {
        	echo '<li><a href="'.WEBPATH.'details.php?id='.$row['id'].'">'.$row['titel'].'</a></li>';
        }
      }
    }
    ?>
    </ul>
  </div>
  <!-- Ende Meistgelesene -->
<?php } ?>
