<?php
/**
 * Plugin fr die Seitenleiste mit Statistiken zum Blog
 *
 * @package     Expblog
 * @category    Plugins
 * @author      Volker S. Latainski
 * @copyright   Copyright (c) 2009, Volker S. Latainski
 * @version     0.6.3
 * @license     Freeware (siehe LIZENZ.txt im Hauptverzeichnis)
 * @link        http://www.expblog.net
 * @link        http://www.expblog.de
 * @filesource
 */

/**
 * Hauptfunktion des Plugins
 *
 * @param    object $output  Referenz(keine Kopie!) auf das Output Objekt
 * @param    array  $lang    Array aus der aktuell verwendeten Sprachdatei
 * @param    array  $post    Kopie von $_POST
 * @param    array  $get     Kopie von $_GET
 * @return   void
 */
function statistik($output, $lang, $post, $get)
{
  $stats = new STATS($output);
?>
<!-- Anfang Statistik Plugin -->
<div id="plugin_statistik">
  <p id="plugin_statistik_topic"><?=$lang['plugins']['statistik']['title']?></p>
  <ul>
    <li><?=$lang['plugins']['statistik']['posts']?> <?=$stats->countArticles()?></li>
    <li><?=$lang['plugins']['statistik']['kategorien']?> <?=$stats->countCategories()?></li>
    <?php if($output->config['kommentare']) { ?>
      <li><?=$lang['plugins']['statistik']['kommentare']?> <?=$stats->countComments()?></li>
    <?php } ?>
    <li><?=$lang['plugins']['statistik']['uptime']?> <?=$stats->getUptime()?></li>
  </ul>
</div>
<!-- Ende Statistik Plugin -->
<?php } ?>
