<?php
/**
 * Passwort Klasse fuer das ACP
 *
 * Diese Klasse bietet alles was der Hitcounter bentigt.
 * @package     Expblog
 * @category    Backend
 * @author      Volker S. Latainski
 * @copyright   Copyright (c) 2008, Volker S. Latainski
 * @version     0.6
 * @license     Freeware (siehe LIZENZ.txt im Hauptverzeichnis)
 * @link        http://www.expblog.net
 * @link        http://www.expblog.de
 * @filesource
 */
class PASSWORT
{
  /**
   * Kopie von DB_TABLE_user
   * @var string
   */
  private $expblog_user;
  /**
   * Benutzername
   * @var string
   */
  private $username;
  /**
   * ID des Benutzers
   * @var int
   */
  private $userid;
  /**
   * Userlevel des Benutzers
   * @var int
   */
  private $userlevel;
  /**
   * Referenz auf das Output Objekt
   * @var reference|object
   */
  private $output;

  /**
   * Konstruktor
   *
   * @param    object $output Referenz auf das Output Objekt
   * @return   void
   * @access   public
   */
  public function __construct($output)
  {
    $this->output = $output;
    $this->username  = $_SESSION['username'];
    $this->userid  = $_SESSION['userid'];
    $this->userlevel  = $_SESSION['userlevel'];
    $this->expblog_user = DB_TABLE_user;
  }

  /**
   * Funktion zum ndern eines Benutzerpassworts
   *
   * @param    string $pwd_alt Altes Passwort
   * @param    string $pwd_neu Neues Passwort
   * @return   bool
   * @access   public
   */
  public function changePWD($pwd_alt, $pwd_neu)
  {
    $passwort = $this->getPWD();
    if($passwort == md5($pwd_alt))
    {
      $update = $this->updatePWD($pwd_neu);
      if($update)
      {
        return true;
      }
      return false;
    }
    return false;
  }

  /**
   * Interne Funktion zum Auslesen des Benutzerpassworts zur aktuellen SessionID
   *
   * @return   string|bool
   * @access   private
   */
  private function getPWD()
  {
    $res = $this->output->sql->query("
        SELECT
          password
        FROM
          {$this->expblog_user}
        WHERE
          id = {$this->userid}
    ");
    if(!is_array($res))
    {
      return false;
    }
    return $res[0][0];
  }

  /**
   * Interne Funktion zum ndern des Benutzerpassworts zur aktuellen SessionID
   *
   * @param    string $pwd_neu Neues Passwort
   * @return   bool
   * @access   private
   */
  private function updatePWD($pwd_neu)
  {
    $pwd_neu_md5 = md5($pwd_neu);
    $res = $this->output->sql->query("
        UPDATE
          {$this->expblog_user}
        SET
          password = '{$pwd_neu_md5}'
        WHERE
          id = {$this->userid}
    ");
    if(is_array($res) || $res === true)
    {
      return true;
    }
    return false;
  }

  /**
   * Funktion zum ndern eines Benutzerpassworts durch einen Administrator
   *
   * @param    int    $userid  ID des Benutzers
   * @param    string $pwd_neu Neues Passwort
   * @return   bool
   * @access   public
   */
  public function adminChangePWD($userid, $pwd_neu)
  {
    if($this->userlevel >= 2)
    {
      $update = $this->adminUpdatePWD($userid, $pwd_neu);
      if($update)
      {
        return true;
      }
      return false;
    }
    return false;
  }

  /**
   * Interne Funktion zum ndern eines Benutzerpassworts durch einen Administrator
   *
   * @param    int    $userid  ID des Benutzers
   * @param    string $pwd_neu Neues Passwort
   * @return   bool
   * @access   private
   */
  private function adminUpdatePWD($userid, $pwd_neu)
  {
    $pwd_neu_md5 = md5($pwd_neu);
    $res = $this->output->sql->query("
        UPDATE
          {$this->expblog_user}
        SET
          password = '{$pwd_neu_md5}'
        WHERE
          id = {$userid}
        AND
          id > '1'
    ");
    if(is_array($res) || $res === true)
    {
      return true;
    }
    return false;
  }

  /**
   * Destruktor
   *
   * @return   void
   * @access   public
   */
  public function __destruct() {}
}
?>