<?php
/**
  *  - admin/classes/plugin.class.php -
  *
  *  @ Software    eXpBlog Weblog Software
  *  @ Version     0.5
  *  @ Lizenz      Frei zur privaten Nutzung (siehe LIZENZ.txt)
  *  @ Author      Volker Latainski 
  *  @ Home        www.expblog.net / www.expblog.de
  *  @ Kontakt     kontakt@expblog.net
  *  
  *
  *  Die Nutzung der eXpBlog Software erfolgt eigenverantwortlich und 
  *  auf eigene Gefahr. Der Autor haftet fr keine Schden die durch 
  *  die Nutzung entstehen.
  *  
  *  Bugs und Feature Requests knnen im Forum (www.expblog.net/forum) 
  *  eingereicht werden.
  *
  ***********************************************************************/
  class PLUGINS {
    
    private $userlevel;
    private $plugin_dir;
    private $history;
  
  
    /* Konstruktor */
    public function __construct($plugin_dir='../plugins/') 
    {    
      $this->userlevel = $_SESSION['userlevel']; 
      $this->plugin_dir = $plugin_dir;
      $this->history = $this->getHistory();
    }       
    
    /* Aktive Plugins auslesen */
    public function getActive() 
    {        
      return $this->history;
    }
    
    
    /* Verfgbare (inaktive) Plugins auslesen */
    public function getInActive() 
    {    
      $all_plugins = array();
      if($fd = opendir($this->plugin_dir)) 
      {
        while (false !== ($plugins = readdir($fd))) 
        {
          list($plugin_name, $plugin_typ) = explode(".", $plugins);
          if($plugin_name != "willkommen" && $plugin_name != "index" && $plugin_typ == "php") 
          {
            array_push($all_plugins, $plugin_name);
          }
        }      
        closedir($fd);      
        return array_diff($all_plugins, $this->history);
      }
      else
      {
        return false; 
      }
    }
    
    
    /* Plugin History auslesen */
    public function getHistory() 
    {       
      $plugin_history = array();
      if($ph = fopen($this->plugin_dir.'history.txt', 'r')) 
      {   
        while(!feof($ph)) 
        {
          $plugin = fgets($ph, 4096);
          array_push($plugin_history, rtrim($plugin));
        }
        fclose($ph);
        
        return $this->cleanArray($plugin_history);   
      } 
      else
      {
        return false; 
      }
    }
    
    
    /* Plugin History schreiben */
    public function writeHistory($selected_plugins) 
    {  
      $selected_plugins = $this->cleanArray($selected_plugins);
      $handle = fopen($this->plugin_dir.'history.txt', 'w');
      if(!empty($selected_plugins))
      {
        foreach($selected_plugins as $plugin) 
        {
          fwrite($handle, htmlentities($plugin)."\n");
        }
      }
      fclose($handle);
      $this->history = $this->getHistory();
    }
    
    
    /* Leere Eintrge aus einem Array entfernen */
    private function cleanArray($array) 
    {
      $newarray = array();
      for($i=0; $i<count($array); $i++) 
      {
        if($array[$i] != "")
          array_push($newarray, $array[$i]);
      }
  
      return $newarray;
    }
    
    /* Destruktor */
    public function __destruct() {} 
  
  }
?>