<?php
/**
 * Session Klasse fr den Administrationsbereich
 *
 * @package     Expblog
 * @category    Backend
 * @author      Volker S. Latainski
 * @copyright   Copyright (c) 2008, Volker S. Latainski
 * @version     0.6
 * @license     Freeware (siehe LIZENZ.txt im Hauptverzeichnis)
 * @link        http://www.expblog.net
 * @link        http://www.expblog.de
 * @filesource
 */
class SESSION 
{         
  private $session_name = 'EXPACP';
  private $session_cookie_lifetime = 0;  //Sekunden, 0 = bis Browser geschlossen wird 
  private $session_cookie_servername;
  /**
   * Kopie von DB_TABLE_user
   * @var string
   */
  private $expblog_user;
  /**
   * Referenz auf das $output Objekt des Blogs
   * @var reference|object
   */
  private $output;    
  
  /**
   * Konstruktor
   *
   * @param    reference|object Referenz auf das $output Objekt des Blogs
   * @return   void
   * @access   public
   */
  public function __construct($output)
  {
    $this->output = $output;      
    $this->expblog_user = DB_TABLE_user;
    $this->session_cookie_servername = $_SERVER['SERVER_NAME'];
  }
  
  /**
   * Funktion zum Starten/Initialisieren einer Session
   *
   * @return   void
   * @access   public
   */
  public function startSession()    
  {   
    #session_set_cookie_params($this->session_cookie_lifetime , '', $this->session_cookie_servername);
    session_name($this->session_name);   
    @session_start();
  }
  
  /**
   * Funktion zum Registrieren einer Session(ID) in der Datenbank
   *
   * @param    int $userid ID des sich anmeldenden Benutzers
   * @param    int $sid SessionID der aktuellen Sitzung
   * @return   bool
   * @access   public
   */
  public function registerSID($userid, $sid)
  {
    $regsid = $this->output->sql->query("
        UPDATE 
          {$this->expblog_user}
        SET 
          sid = '".md5($sid)."'
        WHERE 
          id = {$userid}
    "); 
    if(is_array($regsid))
    {
      return true; 
    }
    return false;
  }  
  
  /**
   * Funktion zum Auslesen der aktuellen SessionID eines Benutzers
   *
   * @param    int $userid ID des Benutzers zu der die SessionID ermittelt werden soll
   * @return   int
   * @access   public
   */
  public function getSID($userid)
  {
    $res = $this->output->sql->query("
        SELECT 
          sid as sid
        FROM 
          {$this->expblog_user}
        WHERE 
          id = ".(int)$userid."
    ");       
    return $res[0]['sid'];       
  }
  
  /**
   * Funktion zum Zerstren der aktuellen Session eines Benutzers. 
   *
   * @param    int $userid ID des Benutzers dessen Session zerstrt werden soll
   * @return   int
   * @access   public
   */
  public function destroySession($userid)
  {   
    $_SESSION = array(); // Session Daten loeschen
    session_destroy();   // Session Daten loeschen und ausloggen         
    if(isset($_COOKIE[$this->session_name])) 
    {      	
      // Session Cookie loeschen
      setcookie($this->session_name, "", time()-3600, "");
    }           
    $regsid = $this->output->sql->query("
        UPDATE 
          {$this->expblog_user}
        SET 
          sid = '0'
        WHERE 
          id = {$userid}
    "); 
    if(is_array($regsid))
    {
      return true; 
    }
    return false;
  }
        
  /**
   * Destruktor
   *
   * @return   void
   * @access   public
   */
  public function __destruct() {}    
}
?>