<?php
/**
  *  - admin/classes/settings.class.php -
  *
  *  @ Software    eXpBlog Weblog Software
  *  @ Version     0.5
  *  @ Lizenz      Frei zur privaten Nutzung (siehe LIZENZ.txt)
  *  @ Author      Volker Latainski
  *  @ Home        www.expblog.net / www.expblog.de
  *  @ Kontakt     kontakt@expblog.net
  *
  *
  *  Die Nutzung der eXpBlog Software erfolgt eigenverantwortlich und
  *  auf eigene Gefahr. Der Autor haftet fr keine Schden die durch
  *  die Nutzung entstehen.
  *
  *  Bugs und Feature Requests knnen im Forum (www.expblog.net/forum)
  *  eingereicht werden.
  *
  ***********************************************************************/
  class SETTINGS {

    private $expconf;
    private $configfile;

    /* Konstruktor */
    public function __construct(&$expconf, $configfile='../system/expconf.php')
    {
      $this->expconf  =& $expconf;
      $this->configfile = $configfile;
    }

    /* Setzen des Impressums */
    public function setImpressum($impstatus, $impname, $impstr, $impplzort, $impemail)
    {
      $this->expconf['impstatus'] = $impstatus;
      $this->expconf['impname'] = $impname;
      $this->expconf['impstr'] = $impstr;
      $this->expconf['impplzort'] = $impplzort;
      $this->expconf['impemail'] = $impemail;
      if(!$this->writeSettings())
      {
        return false;
      }
      return true;
    }

    /* Setzen des RSS Feeds */
    public function setRSSFeed($rssstatus, $rsstitel, $rssbeschreibung, $rsssprache, $rsscopyright)
    {
      $this->expconf['rssstatus'] = $rssstatus;
      $this->expconf['rsstitel'] = $rsstitel;
      $this->expconf['rssbeschreibung'] = $rssbeschreibung;
      $this->expconf['rsssprache'] = $rsssprache;
      $this->expconf['rsscopyright'] = $rsscopyright;
      if(!$this->writeSettings())
      {
        return false;
      }
      return true;
    }
    
    /* Setzen des RPC-Ping Status */
    public function setRPCPing($rpcstatus)
    {
      $this->expconf['rpcstatus'] = $rpcstatus;
      if(!$this->writeSettings())
      {
        return false;
      }
      return true;
    }

    /* Setzen des Blogverhaltens */
    public function setBlogverhalten(
      $blogtitel, $meta_description, $meta_keywords, $meta_robots, $admin_dir, $style_dir, $style, $language,
      $kommentare, $wartungsmodus, $spamschutz, $suche, $modrewrite, $hitcounter, $bookmarkicons,
      $mailbenachrichtigung, $mailbenachrichtigung_email, $videoabmessung_b, $videoabmessung_h, $index_maxnews,
      $dbms)
    {
      $this->expconf['blogtitel'] = $blogtitel;
      $this->expconf['meta_description'] = $meta_description;
      $this->expconf['meta_keywords'] = $meta_keywords;
      $this->expconf['meta_robots'] = $meta_robots;
      $this->expconf['admin_dir'] = $admin_dir;
      $this->expconf['style_dir'] = $style_dir;
      $this->expconf['style'] = $style;
      $this->expconf['language'] = $language;
      $this->expconf['kommentare'] = $kommentare;
      $this->expconf['wartungsmodus'] = $wartungsmodus;
      $this->expconf['spamschutz'] = $spamschutz;
      $this->expconf['suche'] = $suche;
      $this->expconf['modrewrite'] = $modrewrite;
      $this->expconf['hitcounter'] = $hitcounter;
      $this->expconf['bookmarkicons'] = $bookmarkicons;
      $this->expconf['mailbenachrichtigung'] = $mailbenachrichtigung;
      $this->expconf['mailbenachrichtigung_email'] = $mailbenachrichtigung_email;
      $this->expconf['videoabmessung_b'] = $videoabmessung_b;
      $this->expconf['videoabmessung_h'] = $videoabmessung_h;
      $this->expconf['index_maxnews'] = $index_maxnews;
      $this->expconf['dbms'] = $dbms;

      if(!$this->writeSettings())
      {
        return false;
      }
      return true;
    }

    /* Schreiben der Konfiguration */
    private function writeSettings()
    {
      if($handle = fopen($this->configfile, 'w'))
      {
        $keys = array_keys($this->expconf);
        fwrite($handle, "<?php \n");
        $consts = "/* Expblog Konstanten */\n";
        $consts .= "define(\"WEBPATH\", \"".WEBPATH."\");\n";
        $consts .= "define(\"ABSPATH\", \"".ABSPATH."\");\n";
        $consts .= "define(\"INITIME\", \"".INITIME."\");\n";
        $consts .= "define(\"VERSION\", \"".VERSION."\");\n\n";
        fwrite($handle, $consts);
        fwrite($handle, "/* Expblog Konfiguration */\n");
        foreach($keys as $key)
        {
          fwrite($handle, "\$expconf['".$key."'] = '".addslashes(stripslashes($this->expconf[$key]))."';\n");
        }
        fwrite($handle, "?>");
        fclose($handle);

        return true;
      }
      else
      {
        return false;
      }
    }

    /* Destruktor */
    public function __destruct() {}

  }
?>